909ca21252 Prep for 3.2.0.
eadcadbd4d macOS: More ChmodBPF signing updates.
b8cb65a2db macOS: Sign the ChmodBPF script.
310506d7c1 Qt: Don't crash when disabling all protocols.
e4e823ac9d ieee802.11: Support the latest band id values and fix MHz.
f61913bf76 MsgPack: add dissector to UDP port decode as list
63abfab242 PROFINET: Profienergy record dissection
6dd5a82fcb WSUG: Update the filter dialog section.
9ab9260e3b FAQ: Update and remove entries.
787303135f TPNCP: Update tpncp.dat
fa3982c37b CMake: fix CMake 3.16 warning about CMP0071
d27bc64922 extcap: remove potential leak.
cc72c2e8a2 profiles: Try to better sync on disk config state
bb82f650b6 pcfp: add missing Usage Report Trigger indication
2796114521 PER: Add a couple of NULL checks.
5e266102d3 m3ap: Info column lost at filtering.
2f39d1e4a2 MPLS: fix Downstream Detailed Mapping TLV label stack dissection
91388f5aac WiFi: Properly parse bitmap sections (CID-1451085)
ecb810efc2 H265: properly index 2D array (CID 1450950)
d5344d67f9 WSUG+WSDG: Remove description list formatting.
c15b725b10 WSUG: Update the mailing list section.
20c00261f4 [Automatic update for 2019-12-15]
e24d74cbcc RTCP/MCPT: Limit list of SSRCs (CID 1455251)
0558578f57 cmdline: cleanup option string definitions
ab22e8899b html2text: Skip generating footnotes for self-links.
4c303099aa couchbase: Fix Dead Store
2e1c65101c 3.2.0rc2 has been released.
5bcf6eed7c Build 3.2.0rc2.
932a1a4ddf Win32: Fixup our file dialog titles.
69c0969551 NAS 5GS: fix LADN Indication ID in Registration Request
c11a819ffd CMake: Fixup a variable in FindLZ4.cmake
7534e1ece3 LNET: fix malformed packet error on RDMA Read Request
c22560b792 radiotap: Detect 11ad based on the frequency.
2f4bfeaa8d Windows: update c-ares 1.15.0 package
208f67fa4a Revert "extcap: Pass --extcap-version if extcap supports it"
677ca96c27 extcap: Pass --extcap-version if extcap supports it
01f261de41 btatt: check the opcode against the current data.
c97e82bbb6 NGAP: catch NAS 5GS dissection errors
abdd0a750b TTLs are unsigned; format them with unsigned_time_secs_to_str().
78bd8c8926 dns: Unify display of TTL with time_secs_to_str()
ac9e7f2d64 dns: Bring back TTL formatted with time_secs_to_str()
d64f1800b7 Win32: Fix the Export Packet Dissections dialog title.
7fe976462f Make the TTL field unsigned, but keep warning if the high-order bit is set.
ae71f34957 [Automatic update for 2019-12-08]
68c8bcc599 Release notes: This is the last branch that supports Windows 7.
2070e7ae5c recent.c: cfield might be NULL
70e394d253 UDS: fix uds.rdbi.data_identifier filter length
48d4cd8ade Update the release notes.
84fad90e80 Build 3.2.0rc1.
fb38112225 tools/debian-setup: correctly check the value of shell variables
17d8f7e77a tools: fix check of shell variables in other setup scripts.
1881a1a0c9 Back up to the beginning of the file if we don't have a gzip header.
aca17315eb Qt: We show preference panes using their module names.
a888282edd ieee1905: Fix an incorrect bit usage in the Client Association Even TLV.
be7c025fad NSIS: The "Sshdump" option installs Ciscodump as well.
4f78fe4954 NR RRC: fix dissection of NAS container field
5ebe5d95e3 WSUG: Remove some old, unused images.
2fce67985e kafka: don't use an empty tvb list.
fa4b6362c1 Documentation: update (long) cmd line options
8defb3d295 IEEE 1609.2 dissector issue when HeaderInfo.generationLocation field is present
f7e7ad52b7 [Automatic update for 2019-12-01]
f3de37e772 couchbase: Update dissector for latest 6.5.0 DCP snapshot marker
156ea49c9e Add support for first frames with CAN-FD
9f8c487e69 Change struct can_identifier to can_info
79863cfb29 TLS: support Facebook's TLS 1.3 draft 23 and 26 versions
4d00e63a32 WireGuard: fix MAC1 computation for non-zero reserved case
c0b3b1c933 WireGuard: support Decode As and non-zero reserved bytes
d01400634f Qt: focus the correct field when switching packets
c884b2c397 Annnnnd fix another typo.
302d6b118c Add short descriptions of the PHYs other than the legacy PHYs.
4a0c48f030 Add entries for 802.11ad and 802.11ah PHY values.
2be55ad9b1 Add more support for the 802.11ax PHY.
483921c4be NGAP: dissect other variant of N2 SM Information (as found in 3GPP 29.502)
cfaa1bc31a Qt: fix packet selection when modifiers are pressed
4c02a86da1 Qt: Show all column types in context menu
49ae725e8f Qt: prevent inline completion from happening for filters
11aea382c4 Qt: fix crash on Next/Previous Packet in Conversation without selection
daa79b6599 ISAKMP: fix dissection of SA TEK payload for non IP address
78940a2f58 Qt: fix display filter completion with few recent entries
42a0d7bf68 [Automatic update for 2019-11-24]
a8eefaeb07 docs: fix up MS toolchain references
bdd14119aa rtp_analysis_dialog.cpp: save any supported codec as .au
d52cbcea39 print: remove assert in get_field_data().
3af0d550e0 NAS 5GS: fix for control plane service request identification
5f2c690807 Qt: Remove a duplicate variable.
083ba50f11 Initialize master-3.2.
f2ca15bfa2 Release notes: Update the new protocol list.
f211624fa6 Qt: Display selected rows in overlay bar
0d534873dc Qt: Speed up selection handling
b7ce4e3f7a Qt: Include Column Headings with Edit -> Copy -> Plain Text / CSV
1859b35f5a PROFINET: Fix related to redundancy and PNIOStatus
4dacdd9ff0 Update to DICOM Edition 2019e
8ca101689b GSMTAP: fix empty INFO column for PTCCH/D messages
608d7ddad4 GSMTAP: also consider PTCCH/D as a broadcast channel
51ff2065db GSMTAP: use col_set_str() instead of col_append_str()
ce0c45d051 GSMTAP: drop _U_ attribute from arguments of handle_tetra()
6d8355e7de ReleaseNotes: Add info about "Expressions"
4e77ca61d9 docbook: Add USB 2.0 Link Layer to release notes
11be78a61f NSIS: Don't run Wireshark from the installer.
9de7cd9f03 Remove "..." from end of Edit > Copy > As XXX menu items.
71e03ef042 QUIC: updates for Key Phase changes (draft -24)
dc2b424e0a QUIC: fix 0-RTT decryption for ciphers using SHA-256
309bf5b547 Make sure Copy > As Text and Copy > As CSV add a final newline.
141e2ffcf0 Note that Qt imposes a maximum frame number of 2^31-1.
fc18fbd522 Raise a question in a comment.
193150fdb7 Qt: Fix compile order for PacketListRecord
e460205305 NAS-5GS: Add 9.11.3.65 Control plane service type
c07aad1015 Qt: Speedup Packetlist
1078904981 Qt: Remove unnecessary parent check
effbcdcbfb Qt: Remove unused progress update
962f8d0c7e Qt: Handle emptying selections
3db2743095 NAS-5GS: Fix dissection of 8.2.19 Configuration update command.
6c59aa0134 SMB2: Fix an error with the timestamp for TimeWarp ECPs during CREATE.
800a029d25 nvme: fix some heap buffer overflow errors
5b78bbfc02 Qt: Update ColorUtils::themeLinkBrush.
e8ef656842 Qt: Remove an unneeded connection.
ae58402e14 3.1.1 → 3.1.2.
5169b9f3bc Build 3.1.1.
93e0b01988 SIP: Handle "Authorization:" Header without data.
0468ead898 macos-setup.sh: Sparkle setup fixes
00fd41b619 print: fix ek output with -j option.
85ede9a503 ssh: add direction generated field.
726eea0348 ssh: indentation fixes.
aa2145982f Qt: Fix dangling delete for sequence diagramm
c8b0968c77 Qt: Drag and drop label text changed
8633ca6a88 Qt: Correct drag and drop with column header
a51c58fa1b Qt: Cleanup space inside parentheses
1ddd30856d ReleaseNotes: Multi-selection of packets
b3f240dbf8 Qt: Multiselection in PacketList
7d2e3fa8f5 [Automatic update for 2019-11-17]
285cb7507a ICMP: fix parameter problem parsing
7af41845a5 Add cirrus-ci config file.
356814ae9a caputils: remove unneeded check.
81b97d04a9 About Dialog: Add a copy to clipboard button for the version info
669613f41d WSDG: Remove duplicate paragraph
674533ef2f QUIC: Add DATAGRAM frame type
d6e836f3cd QUIC: Add max_datagram_frame_size
6a8963b57f Software update: Make our architecture detection more strict.
7cc5f4c45f CMake: Work correctly without Sparkle.
e624545b95 tools: fix echo in bsd-setup.
5cd561829e Software update: Fix a copy+paste error.
1cc5b68ac9 macOS: Application bundle fixes.
7590d08db1 GTPv2: small fixes
02057200fd macOS: Add support for automatic updates using Sparkle.
fd4bb1e392 GTPv2: fix wrong offset in FWRDRELREQ if Target Type is gNB ID
5b661c586f tools: fix typos in generate-dissector.
5f8ed1126a Qt: Fix various LGTM.com reported issues
725200d650 GTP: improve LTE/NR PDCP container configuration
40d822ed61 tools: add automatic C skeleton dissector generator.
9dbf684c71 Qt: Show custom column fields in context menu
7da6109f3b Qt: Fix column alignment check in context menu
90e4da60bc ZigBee: Add APS conversations and extended counter
a924de1e3e test/suite_decryption: Add WPA3 SuiteB-192 bit test
c6dff594b9 dot11decrypt: Fix MIC calc for HMAC-SHA384
b07dada4c9 dot11decrypt: Fix KDF for larger PTK derivation
5915613879 dot11decrypt: Support 384 bit long PMK
7638ea013d dot11decrypt: Dynamic sized TK, KEK, KCK, PTK
96971a33a3 dot11decrypt: Support dynamic MIC lengths
ccc591dd98 [RFC]ieee80211: Fix function to determine mic length
820e1c9bee dot11decrypt: Export Dot11DecryptDecryptKeyData function
4222603a50 dot11decrypt: Introduce Dot11DecryptGroupHandshake function
3fdabc62d4 dot11decrypt: Let dissector parse eapol frames
c938841469 travis: add arch name to linux builds.
12969c22ba travis: change linux distribution to bionic.
06a34129c2 travis: add ppc64le builds.
e948c1a9f3 bluecom: fix compilation under ppc64le.
83fa374002 travis: add s390x builds.
8ae0cfe60a Babel: fix regression introduced in gdd15b203c7
c58f86ff6b SMB2: When we add the timestamp to a previous version also save it.
14690c8315 Qt: Fix statusbar messages
c91bb19da2 Qt: Fix displayfilteredit pop
d20f13bbcd travis: fix clang version name in xcode builds.
0bc213b559 smb2: namepsace => namespace typo
2ff91faf89 TCP: increment nextseq for FIN and SYN packets
766f231da6 Release notes: Add an item about following HTTP/2 and QUIC.
3c8c392b9d Qt: Cleanup push/pop Infos
ba62446a6a cppcheck: Re-ignore asn1.
6615d8dfff wsutil: add netinet/in.h to socket.h.
7a1a45c523 Qt: Signal empty display filter bar
75a4be6cf2 Reassemble: Fix typo
ccc88bad93 Revert "ieee80211: fix dissection of HE Phy Capabilities Information"
d88d88a8b6 SMB2: Add @timestamp to the info column if we see a timewarp ECP.
99398c533e Fix display of pino protocols in display filter dropdown
a13d168916 Fix name of the "remove Wireshark from PATH" package.
12e79f037d test: add ek + raw test to outputformats.
560f2e54ba Don't report EPIPE errors writing out packet information.
7cbe0b2e15 Include <string.h>.
5d18c9b4df dumpcap: Add support for TCP@IPv6 socket captures
d7d1686a95 SNMP: fix out of bounds access to snmp_PDUs_vals array
ca114508d1 Documentation: update (long) cmd line options.
c4e41e356a Qt: Make clearing display filter behave more logical
bb2bf1c577 BMP: Add support of draft-ietf-grow-bmp-local-rib-06
4fe4405bef Protobuf: Enhancements about error message during loading .proto files
f874c5dea4 knxip: Fix Dead Store
ca1d07000f nvme: Dissect NVMe Identify Namespace list (CNS 0x2) data response
fa535b3fcd nvme: Dissect NVMe Identify Namespace (CNS 0x0) data response
ddff1ab4fa MPLS Echo: update dissector with RFC6829 3.1
a2f44527cb Update ieee multicast addresses
4ad8ff785c [Automatic update for 2019-11-10]
fd35374226 lsd: Add cookie field (optional)
059e02b704 ieee80211: avoid duplicate wlan keys for managements frames with parameters
6a29a299c7 lldp: add mandatory items chassis and port to info column
ebb33f3e96 Clean up description of the "DNS Servers" preference.
8b6f316f30 cemi: Fix Dead Store
2d47c2060b CID: Fix 1455321 null-reference
1b11115ca7 mptcp: add support for sha256 hashing.
71996e8d93 CMake+docbook: Fixup our .chm titles.
bf5d699cf0 travis: bump xcode versions.
f9c24510fa Kerberos: rework dissecting for PA-PW-SALT
e023908952 SNMP: do not modify the ASN.1 source for request/response tracking
04e400d7f7 Fix problems regarding SRT calculation in SNMP dissector
16bb08de02 Qt: Fix loading of FilterExpression Dialog
59b5bff2d1 lldp: Add aggregation status bits to LACP TLV
2ff32787c5 epan: Make proto_tree_add_oid* usable from DLLs.
59ab98a894 mptcp: correctly parse v1 MP_CAPABLE handshake
9ea3b66bad ek: fix raw hex prints.
14d398fe67 Implement service response time calculation for SNMP
63e437c020 Qt: Move Signal/Slots to DisplayFilterEdit
4349961972 Qt: Move Signals/Slots to subclass
1b151d820d Qt: Fix order of contextmenu for DisplayFilter
abfa0d6218 Qt: Keep extcap control channels when capturing to multiple files
f75f128462 CoAP: add a separator between messages in info column
54e4ead9b2 BMP: fix typo on bitmask PEER Flag AS_PATH
4a2b2f8cc5 BMP: Add support of RFC8671
c0ae7c1c97 RTCP: MCPTT add more dissection.
b56b6f6a8f travis: Add Linux arm64 builds
e87eec451f DIAMETER: Add User-Equipment-Info dissector
69b41e4d1e Qt: Ensure only valid input for DisplayFilter
8bfe73e6c6 SMB2: Use defines for dialect values
99effcada2 Windows: upgrade Npcap to 0.9984
dd9af8018d gitlab-ci: fix wrong job name.
1625ed7afe cmake: be verbose when building RPMs.
9f622cddd4 SMB2: add string value for dialect
88306c251a Qt: fix compilation with older versions.
1178c59c05 BGP EVPN: Adding Type 10 route support
9fd44de604 Qt: Better align DisplayFilterEdit buttons
c231c8df3d RTCP: Fix dead store (Dead assignement/Dead increment)
69356f1b60 Document long command line options.
ca2316069e rtcp: Fix Dead Store
1675e0fe72 extcap: Fix memory leak in extcap_get_extcap_paths
3361109b15 QT/CLI: Remove limit for object export files
152e0114c1 Qt: Fix CPU usage for DisplayFilterEdit
d8715d2e7f RTCP: Dissect more MCPTT elements.
8afd7a751f funnel: Free callback data
5db18c604e CoAP: fixes for TCP transport
0e64e9f3ca extcap: Allow loading of extcap files from personal directory
a802000a2e Qt: Allow action buttons to be left-aligned
a218460e22 Qt: IOGraph display filter graph added
499d912f4b funnel: Free callback data
b01f0febe2 Fix find_conversation_pinfo() description in documentation
b921cd32dd Some IP: Fix Warn heuristic_protos' line 3
3ccb01666b TLS: report encrypted TLS alerts as such
2ce3ec5055 PROFINET: Padding in SRLData block is corrected.
6500d8071e Qt: Use g_new0 to allocate fmt_data
c0cec58564 RTP: rtp_audio_stream.cpp: fixed excess silence in visualisation on waveform
6fd51d5b25 print: some indentation fixes.
2ae8451121 OER: Handle negatived constraints in dissect_oer_constrained_integer.
ce0b559534 BMP: Enhance dissection of Stats type
d793c8d70e PROFINET: Manufacturer Data ranges are modified.
f70c14af07 QUIC: Add draft-24
ee61df4bbf TLS: Add facebook TLS 1.3 draft number
e1dc9f82a6 Qt: Load filenames properly
c39bb02fbc Qt: Fix memory leaks in FilterListModel::reload()
22ab2b970a nvme: Dissect NVMe Identify Ctrl (CNS 0x1) data response
2ecb2828a8 dot11decrypt: Let dissector feed engine with EAPOL key message type
0ec8bd50c7 dot11decrypt: Separate key extraction step from decryption step
23850a3342 CMS: reset object_identifier_id after dissecting ContentInfo
5c10ad1e29 Qt: Remove some extraneous qDebug()s.
2dc1b77827 elastic: print times the right way.
2336547a5f Show correct format of --display command line parameter
e0ddc7ad9c Qt: Move CaptureEdit to FilterListModel
04bb48bf2c Qt: Fix various issues with the bookmark menu
1628bff78d Get rid of proto_tree_add_debug_text() calls
3c3e88986f json: add application/merge-patch+json to the media types handled.
5acf14d5c0 macOS: Remove an exit code check.
8cfe3f5aeb gitlab-ci: bump opensuse image version to 15.1.
89890097bd macOS: Properly sign our extra packages.
b9c7bab05d bthci_evt: Use specific expert infos
d21078309d Qt: Hide Searchbar if the icon is activated again
a8052b9f38 Qt: Coloringrules Mime is encoded as JSON
6fbb1d5c66 BTATT: avoid crashing when called directly through user DLT
013e87a8fd Qt: Remove DisplayFilterMimeData
05e37a386e Lustre: Fix conflict
b6c31d5db7 RTCP: fix an infinite loop (CID 1455251)
a673a50ad8 epan: Rename dissector_filters.c to conversation_filter.c
a596d269e8 TLS: workaround broken TLS reassembly with multiple TLS records
c02b39baa0 gsm_a_bssmap: Fix Dead Store
de7760d490 BMP: Update to RFC (7854)
c537828d60 Wi-Fi NAN: fix infinite loop when parsing NDP extension attribute
ddb86b9237 IEEE 802.11: avoid a "Null pointer passed to bytes_to_str()" error
c4bd5222f5 lustre: fix typo (wrong hf)
89c9d90980 snort: rename snort-config to packet-snort-config
8087bcbf6d HTTP2: fix build without nghttp2
8541d686e9 Wi-Fi NAN: initialize ieee80211_tagged_field_data_t structure
f2036f0fbd Qt: Print qDebug messages by default.
26504a0024 snort: fix alert rule parsing
e60b8d1eb1 dot11decrypt: Shorten the debug macros
eeb179edee snort: fix non-static 'g_file_separator' variable
59e669e288 Qt: Fix Filter drag and drop
0b0bbb8060 HTTP2/gRPC: Support streaming mode reassembly
accd563aaf Qt: Consolidate mimedata usage
d1128e58c4 rtp_analysis_dialog.cpp: Correct src/dst info for two independent streams
7dfe906176 BGP: IPv6 Linkstate Prefix Reachability info
e1572a6709 ax25: Fix addresses with non-zero SSIDs
530c30e8a8 Docs: Try to make our "drag and drop" usage more consistent.
148120160f Qt: Filter list model filter selection (CID 1455165)
0f35832fce rtp_analysis_dialog: save as au: fix for streams with multiple codecs
14fde2fcf4 [Automatic update for 2019-11-03]
dc0445c292 s7comm: Add read record function
9fce1ba5e6 filter_list_model (Qt): Fix Dead Store
a00d02c9b3 profinet (pn-rt): Fix Dead Store
1dd367b648 cfdp: Fix Dead Store
e4692c5226 amp: Fix Dead Store
86b0fe361c validate-clang-check (PD): Display also warning
e7acb32a5a ieee80211: Extended Key ID support
35615574e5 Correct JPEG file saving for french language
4759eb7a7a RTCP:Improve dissection of Mission Critical Push To Talk (MCPTT)
5459104358 Fix the temporary file string buffer expansion.
79239431c7 SDP: Handle MCPTT fmtp parameter.
14c87d8935 RTCP: Remove unused hf.
d4a8659320 ITS: Fix dissection of ItsPduHeader
7704a5a4b9 RTCP:Improve dissection of Mission Critical Push To Talk (MCPTT)
3968903b58 Qt: Fix override for FilterModel
6d2791485d Qt: Allow drag/drop of filter buttons in dialog
dafa87a0b6 Diameter: Update AVP and flag dissection.
b6752680ab lustre: fix rmfid dissection
4d8692fca0 ZigBee: add new manufacturer codes
ddb943bf0e Qt: Filter enabled/disabled protocols
7df84598a9 Qt: Fix macos buildbot
8d62cc3aea Qt: Speed up filtering in VoIP dialog
541afedfbc wslua: Fix memleak of unregistered ProtoExpert
e8265fbfe3 NAS 5GS: fix dissection of routing indicator
da45dde13b RLC: Show reassembled data as a field
2cccb26bc4 Qt: Implement FilterListModel
f577d5b3ea Qt: Add Shortcut methods for active profile
551745998e wslua: Fix memleak of unregistered ProtoField strings
5fb897077e NAS 5GS: fix dissection of ngKSI in Registration Request message
c77471437f NAS 5GS: fix dissection of PLMN in a few IEs
5e8b6f3012 NAS 5GS: Rejected NSSAI. use correct offsets.
3a0b512b11 HomePlug AV: Fix dissection of MMTYPE and FMI
c9c33affd9 Add more checks, fail for negative byte block lengths.
7995b45e03 Qt: Respect saved extcap multiselect configuration
b1e9de7eb8 extcap: Do not append disabled boolflags
73ac329193 Fix val_to_str() call.
4c67990296 [Automatic update for 2019-10-27]
97617b8106 IPv6: New Hop by Hop Path MTU Option
829d2c3752 synphasor: fix compilation with gcc-5/6.
04e660d082 nfs: fix guint64 format in proto_item_append_text.
254502d765 Add config 3 frame support synphasor
fab358df16 NFS: add dissector for FATTR4_MDSTHRESHOLD
11d7765a6c lustre: MDS opcode cleanup
44870fb1c2 wslua: Fix two memory leaks in the lua tests
dc3cdf87a5 Release notes: We're building with VS 2019 on Windows.
dd71c18594 nas-5gs:Dissect 9.11.3.46 Rejected NSSAI.
a3e3a73a82 Qt: Move Filterbuttons to display filter
ca64fb62c0 Qt: Simplify displayfilter handling
eb454caf0b FilterFiles: Remove GTK+-only filter lists
a4401d5e68 nas-5gs:Fix dissection of NAS key set identifier
6ac12b4e84 snort:  Show top-level config errors using popup window
1fc558b82b NFS: Fixing again stateid display of other_hash
dda619fb70 nas-5gs: NAS-5GS 5GS network feature support incorrectly dissected
b71ae7471b lte-rrc: Register dissector for UEPagingCoverageInformation and -NB
67ebeee251 wiretap: no "drop_count" in pcapng format
eb4e83d589 asn2wrs.py: fix parsing of integer unions with extension
e50fd8b608 NAS 5GS: small fixes for PDU session establishment request message
4308ae3d47 tools: Add update-appdata.py
54fac1e309 SNMP: handle Net-SNMP Engine Id of 12 octets
3f105cae4d Qt: Move reset to contextmenu
21fa4a427a Protobuf: for UDP frames, show top-level summary in columns.
f8ec872017 Qt: Reset all changes in the column preferences
7e2aada266 Qt: Connect destroyed() signal to flushAppSignals()
bc44c7e0cd TVB(LZ77+Huffman): return proper value on error (CID1451652)
15a18f385f Qt: Make enum truly anonymous (CID1452175)
1c21bcaeed Qt: Make enums anonymous
366bd1947d Qt: ColumnPreferences hide hidden columns
6820e3515a Qt: Fix Column Preferences
df1c73d68f Opcua: Fix display of GUIDs
07358f7012 [Automatic update for 2019-10-20]
9d6551f3fd WSUG: fix <= escaping
c810782192 Netflow: Niagara Networks decode for SSL SHA-1 IPFIX IE.
da8b79d3a4 RLC: mark depended frames
74f4c78d7c AgentX: Register dissector so find_dissector() can find it
a5b3fb8f43 ieee1905: Move to the latest version of the Multi-AP spec.
d809297ebf NFS: add dissect_nfs4_bitmap function
2c5f89ae29 CMake: Add abillity to add custom taps.
7c7d0fa1c2 SRT: Fixed misnamed field srt.bufavail
36fdc570f5 RRC: Add System Information Block type to info column
42683fbd94 WSUG: Update enabled protocols image
eab718e8d0 BTMesh: Add support for manufacturer-specific opcodes
7c49d99aca Kafka: Fix a length check.
c869b567df Increase maximum USBPcap packet size to 128 MiB
fd56ad3326 Wi-Fi NAN: Fix rval_to_channel_set reading past end of op_class_ch...
32d1d96721 androiddump: Fix tcpdump encap type signed/unsigned conversion error
0371994223 wslua: Improve parameter check in ProtoField.new()
3a9933c52f wslua: Add ProtoField.char()
efe1b0b1b2 Lua: Use space for indent
f3ea3af71d Add in a comment explaining the huge hack being done.
8e3ed86de7 Lua: Support FT_CHAR in Field
179901c269 AT: Add ZUSIM command
aade37ba62 Wi-Fi NAN: Fix NULL g_str_has_suffix errors in NAN beacon type detect
58099c2d66 GTPv2: 8.38 MM Context check end of IE.
50dc37d795 NAS-5GS: EPS bearer identity only uses bit 8 - 5.
7e12cb1537 mqtt: fix conflict
5dd3c2b8ef Wi-Fi NAN: Fix defererence NULL in 802.11 channel set lookup
26354037a3 Protobuf: Support leading dot for the message/enum type of field
62101950f3 Protobuf: Add show_details preferences. Fix two bugs.
c797e94b33 Qt: Fix export dissection dialog
572cd14ecc [Automatic update for 2019-10-13]
9f374047ad We don't compile Qt, we just install a binary.
9dc1b31272 NAS 5GS: fix null_decipher preference text
926d5504f7 CMake: Remove some header defines.
97cb389a35 Revert "CMake: Don't install HTML manuals twice"
51fbc7198e NAS-5GS: In IE Service area list, present num elements(+1).
6d450f7d8c Register NetFlow dissector for NetFlow protocol
f1285fcf06 CMake: Don't install HTML manuals twice
931a80492d QUIC: Remove some field of Preferred Address TP before draft-18
21cfde4c6d QUIC: Add support of GREASE Transport Parameter
dbfe1b2221 LoraWan: fixed downlink decryption
3805cb6f2f mqtt: Dissect connect last will message as bytes
09d16a64ab Get rid of some unnecessary string operations
3d7cd2ed6b amp: remove duplicate copyright
e76f518913 Release notes: Remove an item.
88d5ccbe3f Update some ACI field names
0cadd7e4ed Update qt 5.12.1 -> 5.12.4 and update a comment (twice)
723433f750 Update ASCIIDOCTOR to current version(s)
232677678b Wi-Fi NAN: Add support for Wi-Fi NAN protocol
c1ed77a36f Qt: Simplify Wireshark Dialog class
b6f78f45b5 GTPv2: Add basic dissection for Monitoring Event Extension Information
dbf3cdcc3f protobuf: Fix typo in error message
930aa328dd WSUG: Clean up opening sentences
67d5c58bd2 WSDG: Fix duplicate 'the the'
cb7dafbcf6 WSUG: Clean up duplicated words
cb352105b8 Qt: Reduce use of CaptureFile
5750c4981c protobuf: add support for Protocol Buffers Language (*.proto) files
0d8bebc327 SMB: fix dissection of Directory Information field in Search (0x81) response
2cac9d47af dumpcap: fix capture library version display on Windows
e4d4c75584 FTDI FT: Register OpenVizsla USB VID/PID
9a977d1f22 [Automatic update for 2019-10-06]
9ffe5f61e9 GPRS RLC/MAC: clarify defcription of hf_global_tfi
a1b16a4f8e GSM RLC/MAC: distinguish TA Index / TS number for Uplink and Downlink
a758e31b90 CMake: Include glib dlls in Windows installer
efb6fa1e03 AMP: Remove a self-assignment.
e7f5ba6aa7 Qt: Do not redissect packets before sorting
9e686f1e43 PFCP: Change of framed-route and framed-ipv6-route formating.
13a9a98f95 dtn: Updates to TCPCL and AMP parsers and dtn payload ids.
ba88d0a7cf F1AP: upgrade dissector to v15.7.0
591e8e55a7 XnAP: upgrade dissector to v15.5.0
0b3397604a NAS 5GS: fix a typo
eccca820bb NGAP: upgrade dissector to v15.5.0
c3afba7f28 PROFINET: Adding text to Normal (non-DFP) RTC3 frames
e78430f059 GSMTAP: implement dissecting of PTCCH/D messages
157dc2fb22 GSM RLC/MAC: fix: account MAC header as a part of rlcmac_tree
307b296149 SMB2: improved dissector of QUERY_INFO/SET_INFO - AdditionalInformation field
d2a660d805 QUIC: Add Follow QUIC Stream support to Qt and tshark
750ffac7b6 Win32: Fix a return value check.
db68ece980 X2AP: upgrade dissector to v15.7.0
56bb121cb9 S1AP: upgrade dissector to v15.7.0
c2c2324ac7 Updated MMS ASN.1 file for IEC61850 Ed.2
610c7566f2 ieee802154: handle IEEE 802.15.4e LE WUF
c9e897aeb9 CMake: Set wireshark as Visual Studio startup project
6a7d3150ee ieee802154: support multipurpose frames
b5091d8cd8 ieee802154: handle IEEE 802.15.4e PAN ID compression
79c8b446b6 TLS: fix heuristics to match a TCP segment with just a TLS record header
b5d6c9922b sharkd_shell.py: add interactive debug shell for sharkd
1a48b22686 travis: fix compatibility with CMake 3.15
79fc1f164d iso14443: fix conflict/typo
d4c5dc218b homeplug_av: fix conflict/typo
a83ee43846 Qt: Do not use exec() in RTP dialogs
4108b54bc1 btl2cap: Improve CoC request/response matching
1b7261727a GSM MAP: Update to V15.5.0 (2019-06)
ba35c23205 test: add support for pytest 5.2.0
e21bb9f7ed CMake: Make FindWSLibrary compatible with older CMake
145c8c6065 BSS MAP: Dissect 3.2.2.126 Selected PLMN ID
e4ea96e80d ieee80211: Always start with hf_ieee80211 for hf field
d1e39253ed Qt: fix unused parameter warning in ColorPreference
149521d3de Qt: Do not call exec() when editing color preferences
49e259f04f HNBAP: decode IMSI IE
f67eccedd9 Qt: Do not spin unnecessary additional event loops
ef76d65fc6 Fix checks for "do we have an ERSPAN header?"
ef671dd085 NR RRC: upgrade dissector to v15.7.0
770db76439 LTE RRC: upgrade dissector to v15.7.0
459b9ad293 BSS MAP: Dissect Source Cell ID IE.
eeff5df724 LPP: upgrade dissector to v15.5.0
f4deb5f94b IS-IS: add missing TLV 138 dissection for l1 LSP
e768e13479 Qt: Fix Follow Stream regression in Conversations dialog
486c6fd07c Fix interpretation of BSO field in Type III headers.
3367cbab17 Improve the handling of the FT (Frame Type) field in Type III headers.
c60708d978 Fix build on Fedora 30 (minizip)
cbcf0dfa89 QUIC: display Stream ID as decimal again
074e1d4b2b [Automatic update for 2019-09-29]
5db3ef90de BGP: Add dissector for BGPsec Updates.
343adfc60e BGP: Fix indentation
990e409273 CMake: Use glib debug dlls in Windows debug builds
ae750dc141 macOS: Remove more obsolete documentation
297e1e6b70 CMake: Set policy CMP0074
c565710231 CMake: Warn if dumpcap cannot be built
071ca80d98 CMake: Fix sdjournal.html install destination
0b571c9ab7 Remove trigcap.c
44963f62bd TLS: export ALPN for other dissectors
5d0aaa7fea QUIC: display fin, offset and length for STREAM frames
2dca23f836 macOS: Remove no-longer-relevant documentation.
160f525e2c Docbook: Update macOS packaging.
af793b19d0 macOS: Sign our .dmg.
2cb18634d8 someip: Fix uint64 printf format
3aeaf5c6fc SOMEIP: Adding support for the SOME/IP protocol.
75dc0933c6 macOS: Sign our extra packages.
60c9297069 macOS: Increase our .dmg compression level.
aa3718cfb7 shellcheck: We no longer have osx-dmg.sh.in.
b789895c1b macOS: Use dmgbuild to build our .dmg.
96feb2a525 Fix opening manual from staging directory
b1416fda0a macOS: Disable arrange_dmg.applescript.
ac4f3c0f4d macOS: Make Wireshark.app drag-installable.
1f779bf9c9  NAS EPS: unify spare bits filters
ef81b3215c NAS-5GS: Correct dissection of Route selection descriptor contents.
bcbc594cb0 Diameter: Add AVPs from TS32.299 V16.1.0
e3f2c7dd1c NAS-EPS: Add dissection of 9.9.3.57 N1 UE network capability.
0b0bc1441a Qt: Fix NULL pointer dereference on mouse click
3c245f2f46 randpktdump: Remove misleading tooltip
66ad175c47 wsutil: Use file descriptor in file_needs_reopen()
7d36ae9e74 NAS 5GS: fix dissection of Mapped EPS bearer contexts IE
d2229b368e S1AP: use SRVCC HO Indication IE to decode Source to Target Transparent Cont IE
55f9cba667 Diameter: Extend an enum.
0dcbe1d1f0 Diameter 3GPP: Add a comment about a bitfield.
b08b333502 diameter: Fix file permissions
abc6e0aa06 LCS-AP: Update to V15.3.0 (2019-09)
41cf95c4eb win-setup: Use an environment variable to chose not to use 7zip.
10edd0749a RRC: Partial SIB dissection in BCCH-BCH messages
1f01322dc0 Add RADIUS dictionary for Aptilo Access Controllers
e57aa1b0c6 NAS 5GS: Dissect more UE policy management info.
02213cd510 Diameter: Update 3gpp AVP RAT-Type and IP-CAN-Type.
ceb2ee2e44 rpm: use python3 to fix CentOS 7 builds
e52f33f66c extcap: Multiple extcap instance support on Windows
bd439c9090 Win32: Do not reload TLS keylog file on each packet
001de56561 http2: show a clear warning when Wireshark lacks nghttp2
983d7c3a00 QUIC: move Short Header fields under a new tree
b43177e1f0 Qt: Fix invalid pointer for model
7d874e2d3c RRC: do not use a freed wmem_strbuf structure
5ba46c239c [Automatic update for 2019-09-22]
9fff62e2a8 Qt, http2: Add Follow HTTP/2 Stream functionality
893a2d9c62 MSVC: Warn about unused formal parameters
29be7f9d9a Qt, docs, ieee1905: fix some spelling errors
42b72e149a README.dissector: fix proto_tree_add_bitmask_len signature
cf12ef2748 gitignore: Remove leftover cruft.
e37a3b9ebf Vagrant: Fix provisioning script
a544570546 Fix build with non-standard install prefix
a97c157d0d macos-setup: Add minizip.
f88dba216a Qt: QCustomplot fix warnings
6cb9f32cf2 ieee80211: Fix nameclash in RM Report
8428d8f899 macos-setup: Rename libtool* at configure time.
cfb2d7eb80 macOS: Don't clobber Wireshark.app during installation.
74bccadff2 dot11crypt: Fix crash on failure finding GTK in decrypted frame
828ff6ddb0 Qt: Fix issues found by clang.
3d8fe9a705 extcap: Fix type in example
ef500e800a Update to qcustomplot 2.0.1
6d150bdf62 RRC: Reconstruct MCC-MNC pairs in PLMN-IdentityWithOptionalMCC element
2e174bcae0 appdata: rename updatecontact to update_contact to be more compliant
faea600d13 appdata: added 3.0.4 release
0958466ba1 appdata: Added releases to appdata file
134cb9bc27 appdata: added name and summary
655f7442ae WSDG: Add an "or".
72eb4e5b26 WSUG: Packet list and detail context menu updates.
c8ce89111d WSDG: Visual Studio fixes.
fb5a029e47 Docbook: Fixup our table delimiters.
9159c060bc Couchbase: Handle extras in mutation responses
ac5d7af0ca pfcp: update of UP Function Features IE
b9840149a4 ieee80211: the last bit of QoS INFO is now More Data Ack
390c92dcb5 ieee80211: Add missing value string for HE Phy Capabilites
f95d3a69f0 QUIC: Update to draft-23
93a9de717d Give more complete path name of the header file in question.
2e70fecd4e Match style of other routines in the file.
2afc025745 Qt: Add a comment to Apply+Prepare submenus
cacccb57db CMake: Reverse CheckPIESupported version check logic
c556f307c9 Add support for "custom" DNS servers to be used in address resolution
6d6376e81f Move the last of the routines from capture_info.c into ui/capture.c.
1f2d36aa0b wsutil: Respect working directory on Windows
88bc8ef73a [Automatic update for 2019-09-15]
0c06fbe43d BACnet: Added missing decoding event-notification access-event (13)
e90b2401be Add new filters for Ethernet src and dst OUI's as well as their resolved OUI's
4853fb93b2 randpktdump: Initialize print error handler
c0224eeeb8 Qt: Prevent crash in main window layout.
43c053e2be BACnet: Wrong dissection device identifier
841c27c5a0 802.11 radiotap: Fix wrong data structure in the dissector for HE TRIGGER frames
608dbda8ee SNMP: handle Net-SNMP Engine Id of 12 octets
b609096e43 ieee80211: remove no needed nbytes on display filter
5c29464b7d ieee80211: Update b78 and b79 of HE PHY Capabilities Information
b9be965b27 Qt: Store recently used find packet settings
99ce98fe02 gsm_a_rr: Support for APDU ID ETWS
fd492ac4c4 ISAKMP: Added support for Notify AUTH_LIFETIME Payload
13c7adcc02 ieee80211: Update last bit (47,46,47) of HE MAC Capabilities Information
6d6a5262aa E1AP: Add .h file needed for private IE dissection.
3bff8f372e WSDG: Updates for Visual Studio 2019.
ef212d0063 Netflow: Niagara Networks decodes for RADIUS IPFIX information elements.
27ebed0a5c macos-setup: Update to libssh 0.9.0
8ad0915c4f DLT: Fix gint64 printf format
ed4c62e3f7 CMake: Fix extcap symlinks on macOS.
0eecdf653e FC-dNS: add missing fields registration
a4da8e22c9 Qt: Fix PacketTree copy Value
7e2a24a594 DLT: Fix uint64 printf format
d963b312d0 DLT: Adding support for the DLT protocol
3af946e886 TDS: Improve handling of scale for TDS numeric and decimal fields.
39bbb90e78 ieee80211: fix dissection of HE Phy Capabilities Information
4eae6be17e DIS: Support for the EntityStateUpdate PDU
09a8d1aa68 rsl: Add support for non-standard RSL_MSG_TYPE_OSMO_ETWS_CMD
6cf3878a4f Kafka: Fix Dead Store
b66b3c63a9 nvme-tcp: Add C2H/H2C TermReq dissection
3ebf2e2d51 Kafka: Fix Dead Store
de4efb6af7 BACNET: Update vendor ID list
530afbf06e QUIC: fix connection tracking with empty Initial SCID
39aba1a891 [Automatic update for 2019-09-08]
bc1c3dc9a0 Qt UI: Warn about not saving non-PCM encoded audio
a585a65a60 Qt UI: remove empty jitter buffer label tooltip
241967f46e erf: Use g_get_real_time() to get real time
aa3c5087d9 wsjson.c: do not leak memory when checking input buffer in json_validate()
31abf81250 Windows: upgrade Npcap to 0.9983
48bc82035e NAS 5GS: enhance dissection of QoS rules IE
168ee5003f kafka: Cleanup to use "native" APIs.
05e39afb3f Put the year field of the timestamp out in little-endian byte order.
d58f8f57c1 Wiretap: Write commview files with valid headers
f45ed90a4f WSUG: Update docs on working with captured packets
98cda1bf46 Load environment vars to globals for efficency.
f2162a1005 Qt: fix compilation for enabled_protocols_model.
f0c0e1c821 Qt: Fix override declarations for PacketList
6b74b3f82d Update tooltip text for applying display filter
d56ad090fb Qt: in EnabledProtocolsDialog handle protocol type
c2a7214845 Qt: Make first column moveable
993733dda8 NAS 5GS: fix dissection of Session-AMBR/GFBR/MFBR unit
debdd82678 OSC: Set UDP heuristic default off as this is a niche protocol.
31756275cb ETSI Card Application Toolkit Transport: Set heuristics default off.
fd425b195c Also don't treat an empty buffer as JSON.
6b28772660 Strengthen the JSON validator.
66b868d8d1 Strengthen the PacketLogger heuristics.
45eadc049e What we're testing for is byte-swappedness, not raw endianness.
6d15429a84 If we get a short read on the first packet in the open, don't check any more.
cdb942944a Strengthen the I4B heuristics.
fc2260c0b0 NAS 5GS: fix dissection of QoS flow description IE
802cef9f05 NAS 5GS: display protocol identifier string in QoS Rule IE
f402b4cdaa Qt: PacketList call DecodeAsDialog directly
15a91a6d4a couchbase: update command identifiers
c07e31c71d tshark: Add "ip" as alias for "ipv4" in -z hosts option.
f959f203a1 Add number of comments in capture file to status bar
8131a4cfa9 TCP: Provide display filters for "raw" SEQ/ACK.
bd049b9cf3 IEEE802.11: Minor cleanup
286369a758 Clean up some formatting.
9ae6abdec9 Fix the section on Boolean fields to match reality.
a53ec79ebc SMTP: Consider bytes seen as "data" until a command is seen
a94a860c06 net_dm: Add dissector for drop monitor netlink packets
743f8598cd Qt: Rework Resolved Addresses dialog
b28952afd4 gryphon: General cleanup/improvements of dissector
e86880bede [Automatic update for 2019-09-01]
fc1c7155c4 IEEE 802.11: RSN Information tag, more fields optional.
86e7a0273a isakmp: Fix Dead Store
d81fe4d884 ieee1722: Fix Dead Store
0318a0addb NAS 5GS: update 5GSM capability IE dissection
bc78e78b4e NAS 5GS: fix PDU session identity dissection
f6534b8a97 Qt: ProtoTree combine menus
a53545c0c8 Qt: Add macro for g_list_next for C++
b43ff70444 NAS 5GS: update 5GSM cause table
96b4e7e571 NAS 5GS: small cleanup
98bdb27ebb NAS 5GS: fix dissection of 5GSM capability IE
eda16ed625 NAS 5GS: add dissection of Maximum number of supported packet filters IE
2be248658b ASTERIX: addition of CAT021 v0.23 and v0.26 decoding
4ee007bdd8 genl: Always call subdissector
f753bca0de mpeg(dsmcc): Fixed default switch condition
627917faff Gryphon: Prevent endless loop
01d7793976 Add proto_tree_add_item_ret_time_string
862e2acdd9 Qt: Extend filterbutton context menu
6e240e6727 Qt: Apply Invert/Enable/Disable only to selected list
cd8f720251 Qt: Move Apply/Prepare to general QMenu handler
92ac2f5099 cmake: fix issue when zstd is missing.
8806701215 DOCSIS: FDX: Added decoding for SW-RBA
c6686fe32e eCPRI: Update value string.
5f5a934bca Use g_hash_table_replace() when key depends on data
05b6a9ad0b Kafka: fixed OffsetForLeaderEpoch dissection
a1532e7b16 cmake: check minimum zstd library version.
b3f67fa1fa kafka: remove unused hf/ei entries.
bb7b359635 Add tooltip for clearing display filter
698126581e SMTP: Add support for multiline responses
c9f2b9b3ed DCERPC: workaround that pidl always emits dissect_deferred_pointers()
df3141cb77 DCERPC: update mdssvc DCERPC dissector from upstream Samba
b84a8e29e8 Qt: Create Apply/Prepare in Packetlist
9bd2eef45e Qt: Add Apply/Prepare to Packet Dialog
c9361120f0 Qt: Remove unnecessary code for context menus
3870e6c036 Qt: Make Apply/Prepare filter independent
a7838d9403 coap: Distinguish observe option for request and response
d966c0dd5e coap: Improve request/response tracking
8103070fd8 Qt: Fix memory leak in ProfileModel constructor
2729a89353 Qt: Fix copy from default profile
141e3e0155 SCTP: Use proto_tree_add_bitmask_list() for data chunk flags.
dd7b09e49c Qt (zip_helper): Fix Dead Store
6d2ea2f4bb log3gpp: fix no previous prototype for function
18913341fa ISAKMP: Correct typos in new GDOI fields
e55e059e9f ISAKMP: added support for GDOI
a9fc3681f6 Qt: Move CopyFrom from menu to button
efe2926a66 NFS: Fix hash table key memory corruption
35056a6033 SIP: Ensure session-id is not empty
d7a908c25c show interface name in frame line caption if set
55dc9c0428 usb-audio: fix conflict
ef014f76d5 tshark: Complement manual page synopsis
b38283b3b4 [Automatic update for 2019-08-25]
5d12f7d597 tshark: Warn on overwriting protocol filter
976da8e7fc ELF: do not create lots of tree items for Entry Size 1
8e925238b0 Modbus: Unit and Transaction Id for request/response identification
3f22907e8b mpeg(dsmcc): Fixed range values
6bd541f969 ELF: update e_machine table, update links
e9daf6ce51 WSUG: Clean up some menu item descriptions.
845bbb9d9f BLIP: Fix issues with message decompression
a6eb73aacc Pegasus LSC: Added Status Codes
6937bb521e mpeg(dsmcc): Fix Dead Store
7519c077d0 WSUG: Update Control Protocol dissection chapter
0f84923884 Updated EVS packet description for Compact format with bitrate.
22fd28940a packet-ieee1722: Added TSCF and NTSCF control frames support
a503b80080 GSM A DTAP: Try to ensure that global variable sccp_assoc is cleared.
02006c9678 RTCP: fix reference time type
97a19960a1 Qt: Allow deletion of personal system-profile
ad94c4d459 Kafka: include zstd compression in Kafka message batches
8b8ce52abc SCTP: Make association amalysis a prference defaulting to FALSE.
6cf81c5633 Kafka: fix the name shadowing
d4ddf3d8bb Qt: Fix null pointer dereference
eabd1b0abb Kafka: add support for Kafka 2.3+ dissection
d148bbec5f ZigBee OTA: Fix GetProfileResponse end time decoding
303f6f1b39 Boost the maximum packet size for LINKTYPE_USBPCAP in pcap/pcapng.
4278234a1d USBLL: Use custom address dissector instead of usb one
d8385b42e2 MB-34017: Add HCS to SnapshotMarker
437025e7c3 Qt: Initialize PacketListHeader member variables
0fc5bf30a2 Qt: Fix PacketListHeader dereferences before null check
22b5495485 Qt: Fix CredentialsModel::clear()
97a9c7a12e NAS 5GS: decode LPP payload
2d2f2df006 tds: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
b6e42f40d3 EAP: use new tls_set_appdata_dissector API to set the dissector
9ad4f907e8 TLS: add mechanism to set the TLS appdata protocol
e5a052fb39 obd-ii: Add support for decoding 29bit query and responses
a1b1194024 mswsp: check pipe name in case insensitive manner
9c760ab2ad [Automatic update for 2019-08-18]
f002ca9949 ZigBee: Replace AT_STRINGZ with a dedicated address type
b709c7ccc7 MAC-NR: replace the SFN/SF timestamp by SFN/Slot
83220acb48 Revert "TLS: allow dissectors to set the appdata protocol via the data param"
41b8c22e74 Windows: add nghttp2.pdb file to our PDB .zip
a3c81d328f cppcheck: Make sure it's installed.
3eea735cc1 Windows: upgrade Npcap to 0.9982, USBPcap to 1.5.3.0 and nghttp2 to 1.39.2
32102247ce DNS: fix bytes highlight for name length and labels count
137993eceb tvbuff.h: Fix doxygen comment of base64_to_tvb()
646ff56fae doc+docbook: Add .guisubmenu.
25d34da7d7 Pegasus LSC: LSC_DONE updated to send Status Code field
a537edfdff Diameter: Add MS-CHAP/MS-CHAPv2 AVP support for EAP-TLS
4a795a457a EAP: add support for EAP-PEAP
f05efc5663 EAP, Diameter: add EAP-TTLS and EAP-Message dissection support
ede7be3440 TLS: allow dissectors to set the appdata protocol via the data param
05dc3bf2ce EAP: show expert info for bad EAP lengths
b48b1c0e80 macos-setup: Update nghttp2 to 1.39.2.
c4b68b4935 Wiretap: Fix temporary filename memory corruption
81d2de9252 Try to fix Wpointer-sign warnings.
0062c0d613 MPEG DSM-CC: Added U-N Session Messages
17a2d94452 f5ethtrailer: fix type descripter in dissector table registration
b04f675c06 EAP: rename some identity field
b1412ab11d Add dissector for OsmoTRX protocol
44fe92559b GTPv2:Add dissection of new bit in IE 8.12 Indication.
981071806d Move parsing of specific tokens to separate functions
fb42c24a2c User Guide: document dfilter_macros file
6193c3a5b4 cppcheck: Fix our target selection.
9784b1dda1 Qt: Fix importProfilesFromDir() semantics
83bdc68c96 json: add application/problem+json to the media types handled.
2c330b69f9 3GPP Diameter: Add nev values to AVP 21 3GPP-RAT-Type
bc2b1a9a72 Qt: Remove unnecessary const_cast's
2cf962b8a3 tvb: Improve documentation of base64_to_tvb.
2a32808e50 Qt: Import zips with illegal names
9ac61952ec Qt: Correctly identify the active profile
4b00898a2a Qt: Prevent loop in renames of profiles
7daf939ebc Qt: Fix translations for profiles
1aaf590fac EAP: ignore retransmissions to avoid breaking EAP-TTLS reassembly
1d40491b96 Diameter 3GPP: Dissect new ULR and DSR Flags.
478b39e824 ZigBee OTA: Fix field-control dissection in OTA commands
6ab745cdd3 nfs: Add the third version of the Hammerspace NFSv4 file handle dissector
48ac902807 DNS: Add few DNS type full names
f5aaea0da9 doc+docbook: More CSS tweaks.
86a35ac6a2 cmake: allow VCSVERSION to be overridden with VCSVERSION_OVERRIDE
b22030f712 Thread: Fix URI token passing to CoAP dissector
1239e1fd34 ZigBee: Update ZigBee Manufacturer Codes
7af296d9fd doc+docbook: Add .guimenuitem.
29febdc4f3 doc+docbook: Add .guibutton and .keycap rules.
d6a34592e1 Qt: Fix drop event for main window
40b19131c2 EAP: force a new conversation at EAP-Request/Identify
8a0e22b4b9 doc+docbook: Update our CSS file.
84ff57971f QUIC: add references to the QUIC wiki
d4c14dd11c TLS: update outdated file-level comment
486efaedb1 make interface update libnl1 compatible
7bd3edccf1 EAP: show reassembled TLS fragments only on the final frame
4ce6f6040d radiotap: Comment that there are no more header bit numbers left.
c91856a48f IEEE 802.15.4: Add conversation table and conversation filter
5d638e83eb ZigBee: Add conversation table and conversation filter
cae2b50b36 f5ethtrailer: generate keylog entries from the debug data
89f041908a [Automatic update for 2019-08-11]
e1e41c0db5 Qt: fix wrong default packet list order in Qt 5.13
5750f24787 Qt: Correctly present numerous text on extcap
5e1bcb8501 Qt: Fix numerous translation for extcap
5199a0efd9 Qt: Fix coverity issues for profile model
372fc9ff6c Qt: Fix Preference dialog translation
a41c7aa223 Update the set of buildbots to the current reality.
9a1d7caac3 tools: Add oxipng to compress-pngs.sh.
0dfb50ef82 Qt: Restructure duplicateEntry to rectify copying issues
dc4084fb82 Qt: Respect recent values on startup
52e111e4d9 Qt: Remove unnecessary label from default copy
293b239406 Qt: Simplify guard checks
b69f032d03 tools: add libnl to rpm-setup.
e0857e190c NAS-5GS: Dissect the Route selection descriptor.
2f5d8a1780 lsd: Add support of IPv6
6b09c1d03b NAS-5GS: Enhance Appendix D.5 dissection.
7cd55aafe2 f5ethtrailer: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
64ff87712f s7comm: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
aa3598764e DOCSIS: correct behaviour when working with truncated messages
8097f6a038 Qt: ProfileModel code cleanup
fe8744026c ISO14443: Update some commands
f86c6bd957 GTPv2: hf for spare bits must have a bitmask.
24e43bf542 Qt: Fix profile copy with wrong profile name
353a2dabb0 Qt: Better translation texts
5c678288bc Qt: Check filename before import
b31d1168f7 GSM RR: Change the TMSI/PTMSI field name
d043439e1c Qt: Sequence Dialog simplify context menu
94f9563f5d GTPv2: Update Cause IE.
1ff576cbeb Diameter: Update 3GPP AVP 513 Specific-Action.
545a3986fe Docbook: Document using middle-click to mark packets.
686ef87306 Qt: Always store lastdir on profile import
0f6b655db6 f5ethtrailer: Add dissection for TLS trailers
c11fe64834 Qt: do not adjust the time origin for empty graphs
a2b4586376 Qt: Guard no minizip build
072fecbbd4 [Automatic update for 2019-08-04]
4c9a012133 USBLL: Minimal destination address handling
a4c95bcddf TDS: Fix handling of numeric and decimal types.
e206eb2992 Use ENC_NA, not ENC_BIG_ENDIAN, for a sequence of bytes.
ade3a6b658 Set tm_isdst before calling mktime().
8ae710dbdc Note the Microsoft standard, fix the LZNT1 comment.
ca432674b1 Qt: Write recent before exporting profiles
3109f526cd test: skip some tests on big endian machines.
b1e74c527b gitlab-ci: Add job to create debian install-packages
9011ad1030 wiretap: Add support for Busmaster log file format
19488f334d QUIC: add field for the QUIC packet length
fc926c0e97 CDP: Expand dissection of capabilites
048af39e47 Correct typo in Extcap-Options-Dialog
6c32251bd6 Qt: Fix minizip guards
a76044f47c Qt: Mark with middle button
cdee7494d5 ED137: Fix Climax Time Delay.
f259187803 Qt: Update UI for profiles and handle export/import properly
66747a982b wsutil: link with -lm.
c5b158bec1 Qt: Rework VOIP Dialog context menu
6376a69675 rtps: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
ad5db22a14 caputils: cast g_malloc pointer.
e7852aa3ba debian-setup.sh: Correct order of apt-get update and add_package
d286b819b7 RTPS: Filter added for detecting starts and end of coherent sets
225068d89d MAC-NR: SRS Act-Deact CE dissection improvements.
1b1de214c4 epan: Work around a p11-kit bug on Windows.
6b4264cb26 MAC-NR: Call RLC dissector for SRB LCIDs using defaults.
61004d728c Qt: Fix typo in extcap options dialog
67dfb53dcf eth: add dst and src specific local/group fields
af59b00f2d Qt: Check for invalid filters after coloring rules import
0c4264f6cf Qt: Add ctx menu to start capturing packets
cae3bec14e Qt: Remove global recent_ctx_menu
927afac570 Qt: Check for NULL pointer in profile->reference
5d0a2ccbb7 Qt: Change from User/System to Personal/Global profile types
d614865c8c docbook: fix infos and commands.
a0cdb06aba Fix shadow variable warnings, fix type error.
679ae4c1e3 Qt: Improve numerus translation in status bar
40af4aa93e Rename variable to eliminate shadow variable warning.
f0cde7ca34 The next release, introducing those functions, will probably be 3.1.1.
ecd731ca92 tools: add missing packages to bsd-setup.
77b6160696 proto: fix proto_item_add_bitmask_tree with zero length
53ecc16079 USBLL: Verify Token/Split packets CRC-5
d89eb91eaf Bluetooth: SDP: add new AVRCP 1.6 supported feature flags
cef6752648 Bluetooth: AVRCP: add new AVRCP 1.6 MediaPlayer Item feature flags
3951759e83 Qt: avoid NULL to terminate a g_build_filename in ExportObjectModel
04c12dd67b doc: document WIRESHARK_CONFIG_DIR
fb055b1c4f log3gpp: Fix purpose of 'init' in proto_reg_handoff_log3gpp
b09f249a13 Qt: Fix memory leak in zip helper
348de74cfb Qt: Fix memory leak in Profile model
b5c82c51bc Qt: Rename lblInfo to hintLabel
c37cabe900 Qt: Rename profile global to system
a5d2c5e44c Qt: Improve profile dialog messages
806bef47a2 Qt: Add a Contextmenu for the PacketDialog
47af39136f Qt: Fix copy from profile
bcd19c9f86 tools: add brotli to alpine-setup.
cfab27d464 debian/rules: reduce log spam from asn1 target
ede4ecb8c8 [Automatic update for 2019-07-28]
22e7952e06 HTTPS In Even More Places, update some links.
3eb76d1c3a Point to the Wayback Machine for a now-dead link.
245086eb83 HTTPS In Still More Places, update more URLs.
cdee223c32 Remove trailing space.
5cf3fd03f1 HTTPS In More Places, update some URLs.
3a53b8643b Qt: Fix coloring rules dialog
1759288e4e Tag routines added in 3.0.x releases appropriately.
20800366dd HTTPS (almost) everywhere.
99f574aecb Initialize newly-allocated iap_conversation_t before fetching packet data.
3a137dfef0 Debian: remove symbols
12e8b4edd3 3.1.0 > 3.1.1.
414ca80b21 Build 3.1.0.
76e227bcef debian-setup.sh: Add package lsb-release
5ca4756e1b Qt: fix compilation with older Qt versions.
970524e329 Qt: Export profiles
edd5eaa57e Don't format printable non-ASCII Unicode characters as escape sequences.
dd5f2bd054 USBLL: Verify DATA packets CRC-16
53fdec477d USBLL: Initial USB 2.0 Link Layer dissector
d55cf134eb Qt: Fix copy indicator for profile
faf520681a Qt: Various Profile UI Updates
7122a8a53e Update the release notes for 3.1.0.
04264a23aa Use tvb_get_raw_bytes_as_string() to fetch the verb and reply code.
d86f3e5228 Qt: Profile Treeview updates now after importing profiles
3e01632a68 Use g_ascii_isalpha(), not is_rfc2234_alpha().
4b336cefea Use tvb_get_raw_bytes_as_string() to fetch the reply code.
4e9ce8e4b3 Handle multiple PDUs per TCP segment and reassembly of multi-segment PDUs.
2c7e0a93e5 Add a routine to fetch raw bytes into a fixed-length buffer as a string.
c55780951c Clean up handling of group lists.
53fddee43b Remove an extra backslash.
920f5c3dbf debian/control: sync downstream wireshark-gtk changes
12866e8279 debian: libwireshark-dev must depend on libwiretap-dev
8928460c87 debian: Add autopkgtest for testing starting GUI and CLI
4d41836db4 debian: Fix permission change in case of local diversions
01aa9bf48e f5ethtrailer: type-version subdissector table
e9fca54df0 f5ethtrailer - Collapsible-Header trailer header
f26b7cbd22 Suqlech a -Wpointer-sign warning.
c8933e48f2 Insert REPLACEMENT CHARACTER for various UTF-16 errors.
c5dab4efb5 E1AP: upgrade dissector to v15.4.0
5fd0f06bc7 Windows+CMake: Updates for Visual Studio 2019.
b4c6b3981f WSUG: Corrected keyboard shortcuts for Edit Menu
6fb78f3045 iso7816: link a transaction to a payload dissector
a96d6c4cea Qt: Stop profile import when action pending
8892da8a47 Qt: Fix invalid characters for profiles
8198413514 Qt: Fix filename check
91ed69488f Qt: Cleanup data() method and interface
429082dd71 wslua: pinfo: make p2p_dir accessible to lua dissectors
cc15201436 helper function to get a payload dissector table's current handle
1d1679f061 Extend epan library plugins with a tap registration callback
687ae12b61 Qt: Remove unwanted TABs
4257a8486d Qt: Improve profile import messages
193ca63247 Qt: Fix deletion
a80b4fdd40 Lua: remove lua_data_handle
4e2a63f543 Qt: Fix copy-from menu
3a62b1bc75 Qt: Allow profile import from directory
6e5ba74b31 Remove ABI compliance checker code.
cdac470a60 Qt: Fix iconsize of info label
44129c6ded IEEE80211: handle symbol proprietary tag seperately
795b8cff4a [Automatic update for 2019-07-21]
f5280dba25 Qt: Profile Treeview fix key navigation
c88e525168 Documentation: convert http URLS to https
36e1f782aa epan,packaging: convert http URLs to https
0afbedce6d copyright_info: convert GPL-2.0 URL to HTTP
ff3122a660 Fix -Wpointer-sign warning.
3f5ed14607 smtp: add credentials to the tap.
40e0e5d282 wiretap: candump: Don't generate a temporary PCAP file
c43bd0def1 Clean up the handling of the "friendly name".
3707fd0ed0 Use proto_tree_add_item_ret_display_string() to add string items.
3c7ec127f9 Provide only one data rate per user for VHT frames.
c7884e2170 XnAP: upgrade dissector to v15.4.0
dfb147269f pop3: add credentials to tap.
aec8480760 imap: add credentials to tap.
7b0f2fe09f imap: dissect username and password from LOGIN command.
e3dabc38b3 Qt: Improve profiles import UI
ef61883766 NGAP: upgrade dissector to v15.6.0
2ab4aa4423 Qt: Delete copied profile proper
0428638a24 dhcp: fix memleak on exceptions in dissect_dhcpopt_avaya_ip_telephone
1da2caa0e0 CoAP: add frame support for CoAP over TCP, TLS, WebSockets (RFC 8323)
375ef27567 Qt: Profile Dialog UI fixed
ea924f7e61 Qt: Use correct name for copy
7c7d8ee3d7 Qt: Profile import button shall not be small
8dcde280c2 CMake: Use tab for indentation
54bbf3cf9e profile_model.cpp: add a missing break
8499ad93c5 CoAP: add CoAP Signalling Codes (RFC 8323)
b9c4452137 fuzzshark: add usage documentation
2c7a35bc98 Qt: Fix various issues for profile manager
85e32bdbe7 ZigBee: Add Address fields
3f45a2383d ZigBee: Correct naming
ba54b89696 QUIC: fix out-of-bounds write due to missing CID length check
fac8c25bb1 Don't just grab raw string data with tvb_memcpy().
2edaca628a Clean up comments.
390071ed0b Qt: Import Profile information
0696d93495 Don't just grab raw string data with tvb_memcpy().
f735f916a9 tvbuff_lz*: fix typo in comment
3e26533c08 Fix signedness warnings.
d1d0f6d5d1 Couchbase: Fix dissector for dcp prepare
4450cf73a4 Clean up string handling.
fb0cb6373c BGP: Update description for IE Flag (EVPN IGMP)
3a4a1640d5 ceph: remove unnecessary ifdef G_STATIC_ASSERT check
80dc3d4f5c capchild,ifaces: use g_get_monotonic_time
6658f97a59 file: remove use of g_get_current_time
c914da23f8 Don't just grab raw string data with tvb_memcpy().
81e2d2a668 Don't just grab raw string data with tvb_memcpy().
705942f796 Ask in a comment about DNS-style domain names.
ce1adf9862 Don't just grab raw string data with tvb_memcpy().
d699c5d84c Clean up handling of the command parameter.
a754879c7d X2AP: upgrade dissector to v15.6.0
22e74ec018 tvb_lz77huff: reduce stack memory usage
6a7b01255a Don't just grab raw string data with tvb_memcpy().
1e630b42e1 gvcp, gvsp, u3v: GEV 2.2, new PFNC pixel formats
e08fe4f4c8 capture_sync: fix empty paragraph passed to '@param' command [-Wdocumentation]
29d4f44246 QUIC: Update QUIC invariant draft release
8147af211d Editcap: Allow floating point split intervals.
2377dff96c IEEE 802.15.4: Do not create new addresses but reuse the existing ones
79484e84fd BGP: Adding draft-ietf-bess-evpn-igmp-mld-proxy
3967f60e45 QUIC: update for new Connection ID Lengths (draft -22)
bafe354fbd QUIC: update error code field size (draft -21)
26092a912e QUIC: update salt, add new TP, add new NCI field (draft -21)
b2a437e1c8 QUIC: remove support for draft -18 and older
954b958aa1 tvbuff_lz77huff: workaround for -Wmissing-braces warning in Clang
7c144f4a30 Get display strings for the AE titles.
0db39ae59a smb2: add support for decompression
1a91aac974 Use proto_tree_add_item_ret_string() to add strings.
1b39837cae F1AP: upgrade dissector to v15.6.0
151159ad90 Clean up indentation.
1d4d43c2d8 Fix whitespace.
e26e0b4de0 Add support for the ISO 646 "Basic code table" encoding.
258a5f6a17 Add support for code pages 855 and 856 for FT_STRINGZ strings.
e5efd68d3b [Automatic update for 2019-07-14]
90b1d0f3e6 s7comm: Adding and redesign of test and installation functions
1436ec11bb AT: Remove copy-pasted comment
9baef1f8cb LoRaWAN: decode as for UDP
d22db568a0 RRC: Remove duplicate dissection of algorithm cap bitmaps
41e08a5b62 s7comm: Implement packet reassembly
8d2b635354 Qt: Fix our template icon appearance on LoDPI screens.
2c9db3edd3 Get rid of unused variable.
5e54c7147e XnAP: get rid of duplicate bit string decoding
e36e6c9115 ULP: get rid of duplicate bit string decoding
4d500e84ed LPP: get rid of duplicate bit string decoding
4deba602ce PER: Fixed named bitmap parsing of larger maps
43cfbdc670 LOG3GPP: misc fixes
86cb2c7858 wiretap: do not pollute debug builds with candump debug messages
5e59d50b46 Qt: Fix profile copy and delete
57d67f8ee3 LOG3GPP: do not dereference a NULL pointer (CID 1450541)
4cc142ecbc doxygen: Exclude files giving warnings.
51464397c8 ZigBee: Dissect Electrical Measurement cluster
96abc05815 Fix Wpointer-sign warnings.
62abddc26e S1AP: upgrade dissector to v15.6.0
3a9c42ba8e Fix Wpointer-sign warnings.
3ada70356f Have the message data just be a raw FT_BYTES field.
2dd367a6f8 Squelch more -Wpointer-sign warnings.
1509d92f65 Always use string routines to extract strings from packets.
bd4e293b7b wiretap: candump: Reset error info and fix scanner warnings
c9a29e38c7 Fix Wpointer-sign warnings.
121a6fa6ae Fix Wpointer-sign warnings.
251b66da30 Qt: Fix warning and remove dead code
a87ca4e017 Qt: Fix various compiler warnings
496fe3dfbf Doxygen: Fix some warnings.
5dd422f06d Qt: remove semicolon from profile model.
3589de9b5a Candump_parser: fix implicit declaration warning
20d70997ef Qt: MainStatusbar and CopyFromProfileMenu to Model
4e7ac431a5 Qt: Move Profile Dialog to Model/View
8bb5320cb2 wiretap: Add support of candump logs
db9ec7fc46 s7comm: Additions and name corrections in programming/userdata functions
850713cc8d doxygen: Try to fix warnings.
b88f840409 H265: Fix -Wpointer-sign warnings.
f7cf0b7ec7 Doxygen: Try to fix reported warnings.
703ac5df97 doxygen: Try to fix warnings.
d1f692475f doxygen.cfg.in: Fix directories according to current reality.
f08644d86d airpcap.h: Try to resolve doxygen warnings.
7599f7bb11 packet-ieee80211-radiotap-iter.h: Try to fix doxygen warnings.
29698e9d12 LOG3GPP: fix compilation with gcc 9.1.1
d8ad7a6863 wiretap: Add a phone log reader.
bfeb46b1cf Netflow: Add decodes for Niagara Networks IPFIX information elements.
59b133c35e pfcp: Update to 3GPP TS 29.244 V16.0.0
1f52712444 dumpcap: fix uninitialized memory read on dumpcap -d errors
c32d27aa57 ieee802.11: Ensure optional sub-elements do not cause exceptions.
df28091c09 [Automatic update for 2019-07-07]
8ba4af7c1f gitlab-ci: use opensuse/leap:42.3 image.
3697dd4f5f idl2wrs: clean up and add python3 compatibility
b28ae2dc74 macOS: Fix our token wait. Again.
aa55c55fbc smb2: fix description from copy/paste typo
31d72bcc71 smb2: add missing NT_STATUS
aa434673bf credentials: don't use wmem file scope but a local copy.
85ca8d7fce NAS 5GS: Handle SMS payload
13b018f90f smb2: Fix compilation with older gcrypt versions
d560f76401 gprscdr: Update to 3GPP TS 32.298 V15.7.0
6726196afd pfcp: Update to 3GPP TS 29.244 V15.6.0
84a3cc1064 s1ap: fix compile error on older GCC
b233df1966 ftp: check username len before copy.
2fd549551c Qt: Properly hide the choosen model from external views
62ca0a609b Qt: Remove glib and wmem from packetlistrecord
eb46659c95 Qt: Move ColText to QStringList for PacketListRecord
de68b7ed18 Qt: call retap for credentials.
e891f57bb3 Qt: remove CaptureFile from CredentialsModel constructor.
ca4b950bfa Qt: Workaround for Qt model() bug
66e92e7276 Qt: Do not export the model of the packetlist
8b11de8a03 MPLS: link CFM to designated G-ACh channel type
d0228f2915 Qt: Credentials move tap to dialog
97d47139bc Windows: upgrade USBPcap to 1.5.2.0
214d8af13b AppImage: Fix symbol name error in CMakeList.txt
cab175e03e Qt: Cleanup PacketList
eae522d9cc ncsi: Add NCSI dissector
baa22b3829 http: make a copy of the username.
6e17af19ee http: remove unneeded allocation.
ddfb6e3901 Windows: upgrade USBPcap to 1.5.1.0
f27c30c2a8 Add comments and reorder Lua example
09e3c4f693 Don't use "index" as a variable name.
7ea940eb4b smb2: dissect netname and compression negotiate contexts
73ae8ef2d2 tls: Add max_fragment_length field
7d603e344c smb2: add support for AES-128-GCM decryption
0368b77185 imap: move the more general field first.
f64990438c XRA: adding packettype OFDM PLC MMM
9efddcef85 MAC NR: upgrade dissector to v15.6.0
58cc932d2f Pass the correct value to ascendlex_destroy().
bd5ba2ba7a wiretap: ascend: Destroy lexer state after parsing
3f7e6f5a7d MAC LTE: implement 3GPP 36.321 CR 1450
7af35b68bd LTE RRC: dissect requestedCapabilityCommon / appliedCapabilityFilterCommon IEs
376d4c3595 NR RRC: upgrade dissector to v15.6.0
0c5b14395e HTTP: fix a memory leak in basic_auth_credentials()
fd4c640b1a HTTP: check auth pointer validity
37ff9dacb9 Distinguish "Interface went down" from "Interface disappeared".
9ad5dc26dd Qt: Move widgets to sub-directory
ae089f1613 RTPS: Topic Information feature not working with RTI Connext DDS 6
9d46d828c9 omron: add FINS/TCP support to Omron FINS dissector
8a4ce74ac9 Libpcap may now say "The interface disappeared" if it did.
93079941f1 macos-setup.sh: Allow support for QT_VERSION=5.13.0
03517b692b Update a comment, and shuffle tests.
2a80a9b80a LTE RRC: upgrade dissector to v15.6.0
9900c86548 MacOS: Fix highlight color in dark mode, graphite highlight
892d5914b4 LPP: upgrade dissector to v15.4.0
589d83816a s7comm: Improved cyclic services
0afeafa7c1 batadv: Add support for RTR(4|6) mcast flags
15cae4650f ui: Refactoring column_prefs_add_custom
a854811c4a Qt: fix more more Qt 5.13 deprecation warnings
5599f8e492 wsutil: fix build failure of Debian packages on Ubuntu 16.04
2e9f54ee5b debian/control: remove unused libtool dependency
7dbcc9ef96 [Automatic update for 2019-06-30]
1e7f85e02f Qt: Prevent hidden global parameters
6335ede165 credentials: fix tshark output.
03807b5050 credentials: add sorting of table.
8e80415aaf Qt: Fix 5.13 deprecated warnings
41d0cf7320 S1AP: Catch out-of-bounds error when dissecting UERadioCapability.
44c5e62635 Qt: Fix default position when "Apply as Column"
fe5015f603 RTPS: Decompress ZLIB compressed serialized Type Object
c4a0ca271f Qt: Fixup our template icon generation.
154b4f680d Qt: Drop column content as text
8c34629c06 DOCSIS: CM-CTRL and DPD: fixed wrong tlv indent
57949e043a imap: remove useless nesting.
28cb63cc00 f5ethtrailer - Dissect BIG-IP v15 low noise trailer
8094ad896b macOS: Fix our token wait.
d9e230d79a macOS: Add a notarization upload wait check.
dc7b757c91 With -T, change the packet's encapsulation type as well.
a7052d4ea9 Qt: Make sure we create template icons for all modes.
e5230a5d10 macOS: Make sure we bundle our plugin dependencies.
ca62d2c009 GSUP: fix IMEI decoding missing last byte
6038b56330 cdma2k: Static nark some value strings.
1af6e1f860 tap: add credentials tap.
94d0e081c6 mmdbresolve: check the return value of malloc
94f497f929 Qt: Use a lighter link color in dark mode.
cbcb50e8af Decoding of SMS contents when SMS over SMPP
867a13d9e6 Fix a couple of shellcheck issues.
641d4bbea4 TLS: increase size of line buffer for reading keylog file
3f12d58a62 RTPS: Micro release and revision versions swapped
deb81bd99f asn1: replace DISSECTOR_ASSERT_NOT_REACHED with DISSECTOR_ASSERT.
dca6d36aab New Diameter AVPs
45a3d0787f asn1: don't increment a buffer beyond its end.
68122d26b9 DCT2000: skip/show carrierId for LTE/NR RRC headers.
fa65d4dad9 Qt: Use QEvent::ApplicationPaletteChange
58cb604f2c netlink-sock_diag: delimit more fields
8fc02d08e1 NAS 5GS: Dissect UE policy section management list.
3ae9831cb1 ldap: remove dead increment (found by clang).
266e4bafb6 DOCSIS: OPT: fixed TLV indent
592322ac1c couchbase: Add prepare seqno to DCP_COMMIT
ddd9c2a416 nas5gs-updp: Add message decoding.
5d515bd0f3 make-version: remove defunct --git-description option
e66ded5efe packet: make sure handle and dissector table exist
df34133584 kerberos: remove dead assignment (found by clang).
f01b2f36d4 ldap: remove dead assignment (found by clang).
2639691687 debian: Use proper CC flags when test-compiling with development headers
ba3f25b3ee debian/rules: remove unused variables
7dfcb4425a asn2wrs: use system lex and yacc from ply if available
99a87a68ca [Automatic update for 2019-06-23]
ec10752adb BSSMAP: Introduce Osmocom Osmux Support and CID extension IE
737b7eb6c6 Qt: Handle ApplicationPaletteChange events in the welcome page.
a9ed94356d Qt: Split the filter dropdown arrow icon into dark and light versions.
70d61952df QUIC: add 0-RTT decryption support (draft -20)
7b557088e9 Qt: Convert the rest of the preference dialog list buttons.
d0b961f982 debian/control: Update Vcs-{Browser|Git} to point to Salsa
bc7797792c debian/control: remove debhelper and cdbs from wireshark-dev
e56ec71c6a debian/control: fix minor Lintian warnings related to Priority, etc.
5d9ab62748 debian/copyright: Mention GPLv3+ code snippet in tools/pidl/idl.yp
9655769593 Netflow: added some private Cisco IEs
e50ba8e8b9 ieee802.11: Add some expert infos when Phy Capabilities are short.
0d150d241f Qt: Convert the list management icons to templates.
0c45cefab2 iso14443: add unverified crc to the proto tree
40b538f48a iso7816: display ef and record number in the info colum
7969c41519 Use I/O Graphs instead of IO graphs everywhere.
6b3945f2e1 XRA: do not decode packetpointer if not present
f9225faa87 DOCSIS: REG-ACK: do not show TLV Data if not present
44594aeb0d Remove some leftover GTK+ images.
a6e13eabac cdma2k: Fix duplicated fileds name.
57a9a500b9 NAS 5GS: Framwork for dissecting UPDP messages.
088b3d63a0 Remove the UTF-8 validation from proto_tree_add_string().
d6472862c5 Fix error message for an unknown pcapng version number.
2d96da9b7f BSSMAP: Use correct IE number for Selected PLMN ID
830bd41771 DIAMETER: Add MIP6-Feature-Vector flag decode
eaab8750ea OSPF: Add Local/Remote Interfafe ID and Remote IPv4 Address Sub-TLV (rfc8379)
ac8d33a7bc DOCSIS: Added Energy Management (EM) messages
a9d7c2b94f Revert "Qt: Remove unnecessary ColumnText object"
d7ef3118b1 LPPa: upgrade dissector to v15.2.1
62b5e400b4 PCEP: Add Segment Routing Policy Candidate Paths TLV (type 40)
46ebd2411d couchbase: Format seqnos as decimal
ce1807832a GTP: Pas the right subtre to extension header dissectors.
ed34c3de14 sshdump: fix bug in --remote-sudo.
dd15b203c7 Babel: prevent an infinite loop while parsing sub-TLV
484deec1f1 PCEP: Add ASSOCIATION (sub) error
3a2e1640c7 GTP:Fix a typo
77cdb9714c PCEP: Add OP-CONF-ASSOC-RANGE (29) TLV
7d3fffc3f2 Tools: Add a "last n commits" option to cppcheck.sh.
5a3e73317a PCEP: Update Association value (draft-minei-pce-association-group)
43259dcd4a GSM RLC/MAC: fix dissection of SI Message List IE
af4b67d19a USB: workaround for compatibility with USBPcap captures < 1.5.0.0
48a4fe6f73 MBIM: remove USBPcap / usbmon specific code
45b1ea1fdf MBIM: use conversation as identifier in reassembly code
6b20a4f2d6 Windows: upgrade Npcap to 0.996 and USBPcap to 1.5.0.0
be9c1ec35c Revert "travis: add -e to ci script."
329e1da5cd CMakeList: We require minimum c++11
3f18d7a4ca TCP: add expert items to MSS option
9515d49f11 OSPF: Add Node/Link MSD TLVs (rfc8476)
c1c0a2911b NRPPa: Add dissector for TS 38.455 V15.2.1
94b211977a Add support for embedding WireGuard keys in a pcapng file
662ad82d60 smb2; Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
178e7ce9a5 Qt: Filter expression toolbar dark mode updates.
c6bed35254 WSUG: Clarified and improved phrasing
17aacfae43 Qt: Drag-and-Dropping from ProtoTree copies whole field
c288574842 Qt: Fix ghost drag-and-drop in PacketList on empty fields
d95262bf74 Qt: Remove unnecessary ColumnText object
64badc5a3a Qt: Allow Drag-and-drop on info and protocol
e4713e8745 Qt: Fix drag-and-drop from packet list
b4cd7bcf62 nas 5gs: (trivial): remove _U_ from parameters that are used
c86c46ebaf NAS 5GS: fix dissection of N1 Message Content
cde07b8ba3 USB: Handle USBPcap 1.5.0.0 updated pseudoheader
be3d469ddc NGAP: fix dissection of N2 Information Content
3487b8f9c3 NAS 5GS: Null scheme SUPI dissection fixed
ab69c87799 [Automatic update for 2019-06-16]
142e024e1f Get rid of the nt_trans_data structure.
a691985a04 Convert the zoom icons to templates.
5d0fec3363 travis: add -e to ci script.
bfad6f03d6 wslua: add a Proto parameter to DissectorTable.new()
6d539de542 couchbase: Add prepare seqno to DCP_ABORT
13795914a1 wslua: clean up DissectorTable_new()
fea4856667 Qt: Use UTF8_HORIZONTAL_ELLIPSIS
dae527d682 Qt: fix constructor in packet_list_header.
4e1e2d9af1 Qt: fix typo in stock_icon.
1e6c132456 FTDI FT: Dissect control request response data
fe62cb6a14 Qt: fix the constructor call in display_filter_edit.
cf9817b1ed P2P: update Group Capability Bitmap definition
20246cf005 Qt: Add Drag-and-Drop to Packetlist
d370f54c47 Qt: Fix Contextmenu for Packetlist
33bc4fede9 USB: Do not assume that request is standard
74d4fcd955 DOCSIS: Fixed Info Field Bonded Initial Ranging Request
68c014c156 Qt: Allow columns to be set to a specific width
bf8bc8e007 wslua: add support for ft_none dissector tables
24138a0a74 tools: add speex to rpm-setup.
e536a1b113 Make get_unicode_or_ascii_string() static.
2d795b114c The second byte of NT_Trans_Parameters is no longer a reserved byte.
b7cb793fdf babel: add support for babel rfc6126bis
e39f2bb517 Qt: Move Packetlist Header Context Menu to subclass
0bb8563f05 Fix a couple of shellcheck complaints.
98413c9fde SCTP: fix to get proper direction of the stream
c7854720c8 update Extreme Networks WASSP decoder
e8645f69d8 sharkd: link with libm because of Speex
b94047c606 Qt: Add support for template icons.
f41e1d22f0 [SCTP] ui: fix Analyse Association with correct number of endpoint streams
5298cb2cb8 DOCSIS: RNG-RSP equalization adjust
5ae259c495 Qt: Allow dropping fields to add columns and indicate width
36f99fd6f9 Add 2 extra AVPs used in the SCAPv2 communication for charging on Ericsson CCNs
c6ebd5bf36 register_decode_as_next_proto: remove the "title" parameter
b147cbfc6c Qt: traffic table: remove file_closed_
3b9397dd8b rdt: remove a bunch of unnecessary if (tree) checks
ce4a2816ff Pull get_unicode_or_ascii_string() into packet-smb.c.
fb0d1ee24e Qt: fix 'open protocol preferences' shortcut for protocol subtrees
7c8b21d329 NGAP: Dissect N2 SM Information
0d580ecee3 REAME.dissector: update the code snippet for Decode As
9239ce6900 Don't check lenretval in proto_tree_add_item_ret_display_string_and_length().
1000f3f6d5 Don't assume dissect_smb2_olb_string() returned a non-null pointer.
2def295022 Eliminate more calls to get_unicode_or_ascii_string().
cbdfc13ecc Qt: Selected item preference updates.
e5b9fc309c babel: update port
5df1294de2 wix: fix packaging of various plugins
f4c8abdb3e ZigBee: Improve dissection of PublishBillingPeriod, PublishBlockPeriod
ec972df60a Qt: Add context menu to drag-n-drop filters
8a1a63d7c9 Windows: package codec plugins
53014b9a63 Use the flags in the AUTHENTICATE message, if available.
388a38447e debian: update libwsutil0 symbols
63af1da7e7 Kill libwscodecs plugin library, just use plugins
57bb2b2a09 Move codec plugins to /plugins
de44630666 CL3DCW: Added Dual Channel Wi-Fi Dissectors
d55b9b0d2b FTDI FT: Indicate number of bytes sent on wire
f155601d66 decode_as: remove the "title" member from decode_as_t
292193bff1 batadv: Fix info column seqno of IV_OGM v15 packets
c600e15002 DOCSIS: Adding missing MDD TLVs
b1ec0a6700 NAS 5GS: 5GSM Cause added in PDU session modification complete
8219ff2ed2 Add FTDI FT dissector to release notes
40ebc9be6a batadv: Add support for throughput meter icmp packet variant
be3f30b238 Diameter 3GPP: Avoid dereference reported by VS2019.
c51030151d BATADV: remove tree checks
56600f5e24 iso7816: dissector table for non-standard APDUs
c0a49d7237 extcap: Do not use global pipe handle on Windows
367bb983ee cisco-fp-mim: Adding FabricPath FCS dissection and verification
e0d0130b3d FTDI FT: Initial USB Bridging Devices dissector
7d70177ef5 IO stats in 5 ms task cycle
f5bc4f91e2 batadv: Fix info column seqno of ICMP v15 packets
ee2da42762 batadv: Fix offset to ICMP v15 message type
945565d62d batadv: Add support for OGM2 packets
df40f5b279 batadv: Add support for ELP packets
cbb2564d7e batadv: Parse priority field of fragmented packets
9d01faf0cb Diameter 3GPP: add a few Rx related AVPs
bf854b8dcc batadv: Fix filtering by mcast flags
92d0a67f4e LSD: Fix valid headers being marked as malformed
5e79558a82 TLS: fix crash on handshake reassembly with truncated captures
004d26dfaf TPKT: Add the dissector to the list of TLS subdissectors
13fc8302e0 QUIC: fix decryption after Version Negotiation
6476ec79aa Document why extcap utilities can't be run "by hand" on Windows
f93edf223b Use gboolean for Boolean flags.
fc758f97c2 ethercat: add new hf item for sdo abort code.
8c3d23f2f7 DOCSIS: Reassembly of RNG-RSP messages
02155b91cc ipdr: fix conflict
3ee859573c NAS 5GS: Payload container type added in Registration Request
5f105526af tshark/tfshark: fix error message.
461e759d22 [Automatic update for 2019-06-09]
b69328ac22 wisun: fix swapping between Channel Spacing and Reserved fields
e1a57c61f9 Sysdig event updates.
20568aa8b9 tools: Switch some scripts exclusively to Python 3.
14553ee358 REAME.dissector: remove double spaces.
e44d4e740e Update the MS-NLMP URL, and mention it up front.
bcfe022d22 New Diameter AVPS
1c601c204a Have routines to add a protocol tree item and return a display string.
cf9f46c5f5 XRA: changed some tvb_ functions
e3e606ce02 Get rid of get_unicode_or_ascii_string() calls in the SMB2 dissector.
ee35570e90 Improve handling of binary data that *might* be text.
c603fac072 Windows: upgrade USBPcap to 1.4.1.0
ffb549859f blip: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
c05da0fa70 sysex: fix [-Wmissing-prototypes] warnings
45c1242421 dcom-provideclassinfo: fix [-Wmissing-prototypes] warning
2b43c452e7 dcm: fix [-Wmissing-prototypes] warning
c99bee9b5d idl2wrs: regenerated dissectors
4ebf72d232 idl2wrs: extend aggressive mode
5e69a7d7d7 packet-rsl.c: Adds dissector stub of MS/BS Power Parameters
5ca087e276 NAS 5GS: 5GSM cause updated as per spec v15.3.0
f29d6d1e00 USB: Use standard descriptor strings in GET DESCRIPTOR
f35e7f874d ship the dfilter_macros file.
443df93896 idl2wrs: fix 'undeclared identifier' error
3f3337b2ca idl2wrs: add aggressive mode
1c09af410d idl2wrs: fix recursion loop
54db60f4e5 idl2wrs: add debug command line parameter
54cccedfbe conversation.c: do not use wmem packet scope for debug strings
55eeec7e6a DOCSIS: RNG-REQ: upstream transmit power, bit 15 and 14 of SID
0510718b35 .mailmap: Update of April/May (2019)
2331675eb5 Revert "Copy selected lines from Packet List view for existing formats."
ee1dd899d0 iso7816: fix the dissection of the class byte
4e1a5f6df2 iso7816: correct the descriptions of the class byte
44eaaacf12 Note that the challenge length isn't in pre-2.1 LAN Manager.
338ce1b672 Don't assume padding is present at the end of UNIX Info2.
782c4e496b Fix the dissection of Find First2 Query EA Info information.
6259b79d25 Fix the dissection of create temporary file responses.
021e994293 Handle some weirdness with the primary domain field in NegProt replies.
cdaa04cc30 Add some comments indicating what protocol was selected.
c591049194 Register the "missing word parameters" expert info.
f0c13af7d3 Don't assume an NT Create AndX request has all the word parameters.
7b12f11721 Reassemble PLP chunks.
7cb77f5ca7 btmesh: fix indentation.
690f0f4d24 btmesh: fix compilation with older gcrypt version.
3bbc888798 DCT2000: Fix up the way RRC dissectors are called.
c504a49a37 Add Aruba ERM Type 6 Radiotap format
4153a34d29 XRA: minislot_info, mer and power_level not exclusively for ranging
32aeca13ec BTMESH: Add dissector for Foundation models
cbeb543cd6 pfcp: Outer Header Removal IE dissection fixed
66cfba60a6 Add an XXX item, expand another one.
5d2c355c72 iso7816: dissect the parameters of "read record"
c093c5ea02 iso7816: (trivial) The 0xB2 command is called "read record".
49b44f55a5 [Automatic update for 2019-06-02]
5eeef4e457 PCEP: Add PATH-SETUP-TYPE-CAPABILITY TLV dissection
44c1418d7e tap-httpstat: remove spaces.
332eeb1f88 macOS: Notarization count fix.
01a30c1018 README.tapping: minor changes.
23ec0666c5 macOS: Notarization updates.
237ec1349f IP: Make dissection of ip.frag_offset RFC 791 compliant
49b6523c6c btle: Correctly detect l2cap fragment start
860e73c88f WSDG: Don't make hyperlinks of Gerrit git access links
8f549115d5 Bump Ubuntu version to 18.04 in Vagrantfile
9d8f55cb05 WSDG: refine text on cloning repository
d44cb24f1f iso14443: use the correct I-block payload
78a106dc2a Fix handling of headers in body part.
01d20982c3 USB: Add interface-specific setup data to setup tree
1e7db19ff9 USB: Dissect SuperSpeed Endpoint Companion descriptors
2eb1a0dd61 Use the HTTPS URL for our main site in a few places.
4997002458 Clean up indentation.
c3ea14ece4 XRA: PLC can contain multiple MMM messages
d0bb4e64cc cisco-fp-mim: Properly handle FabricPath header variations (.1Q VLAN)
f72e504817 Dissect LDAP strings as UTF-8.
c79145cffe Flexray: Add heuristic subdissection
9fa13ff70d [packet-gelf.c] Add dissector for GELF protocol
1f75694f14 docbook: add a link to the gerrit manual explaining change-ids.
d4836d1efe WSUG: Update vlan resolving
b9c69d6ef8 Clean up some ASCII vs. EBCDIC string handling.
3a56285ffb Note, in a comment, some weird characters that appear in wildcards.
0ac699d621 Strings in mDNS TXT records are UTF-8.
1d88e9b25f Strings in the CUPS browsing protocol are UTF-8.
c5fdbc5644 VLAN resolving: use existing file_exists() function
26a4fb332b VLAN resolving: check profile first
bc5b71c00b RANAP: Handle 7 byte NSAP address in transportLayerAddress
76785a12b3 Windows: upgrade USBPcap to 1.4.0.0
663096248c blip: fix used-but-marked-unused warnings
daead4e5fc dhcp: fix used-but-marked-unused warnings
72cd130f01 dot11decrypt: fix a used-but-marked-unused warning
e08937ac44 rbm: fix a bunch of used-but-marked-unused warnings
01768d0264 rfc7468: fix a used-but-marked-unused warning
38dec96c65 *Always* pair ENC_UTF_16 and ENC_UCS_2 with a byte order.
a3481933f9 wslua: fix error handling for invalid dissector table
ae9d528c5f [Automatic update for 2019-05-26]
13c5960a2c Copy selected lines from Packet List view for existing formats.
a6bd22dfa6 gsm_sim: fix conflict
0ab91dd96a wslua: print the correct type for FT_NONE dissector tables
7dd4e3bcb4 Strengthen the "is the FTP data text?" heuristic.
93303118d4 Developers Guide: Fix issue with Windows env vars
6ca48b2b66 Ask, in a comment, how to distinguish integer from string tag names.
b942ef0615 iso14443: we reassemble APDUs, not TPDUs
8494ef903a AERON: Properly handle heartbeat frame length
3ec782469c iso14443: (trivial) i_block_frag_items is used
646cc07f15 Use the OEM code page to set the encoding for "ANSI" strings.
2114dba1ef *Little-endian* UTF-16.
cf89939a19 "OEM Codepage" appears to mean "code page number"; show it in decimal.
03c5da8d89 Add Windows code page 1252.
1fd3003a6d "Zigbee" encoding is not a character encoding or an integer encoding.
dd4c987756 CMake+macOS: Use symlinks for our CLI utilities.
29283decd7 Qt: unchecked dynamic cast
f12ec0c9a3 wsutil+macOS: Use realpath() to resolve our program path.
d5cdd9515f couchbase: Remove 2nd seqno from DCP_{COMMIT,ABORT,SEQNO_ACK}
f1946955ca gprscdr: update RatingGroupId as unsigned
0e498d4412 Add support decode extremeNetworks-avaya access point TLVs
637259af56 DOCSIS: OCD Cyclic Prefix: typo fix
6742388ca3 pfcp: correction of PFD Contents IE
dc44f3926c dumpcap: use typedefs instead of structs.
0636c267d9 developers-guide: restore winflexbison to Windows install
ee36a83b7a NAS EPS: fix compile error on older GCC
e0fe5cfe92 NAS EPS: catch exception when using ESM data container heuristic
d36b72e6b8 SDP: show rtcp and rtcp-mux media attribute values
6cb990ccb0 DPNSS: dissect Service Indicator Code synch/asynch info
37775b10b8 USB: Add expert info for unknown URBs captured by USBPcap
be9bdfda02 Add dissection recursion checks.
de21932d56 cdma2k: Dissect SCM - Station Class Mark.
2061ea1de1 cdma2k: Update/enhance value strings.
c4f0b500eb Qt: Do not leak C run-time handles on Windows
41813ba202 BTMESH: fix unused compile error without/older GCrypt
39b142512c Qt: add missing include in simple_dialog.
3451314e5c ui: Fix memory leak on extcap configuration save
5d2af76c98 extcap: Fix memory leak in extcap_load_interface_list()
aab172fbda tools: add alpine-setup script.
1a540a6295 print: print booleans not integers in ek_write_field_value().
43295c8b6d GCSNA: Pretify output.
3b97267bad A21/s102: Fiix/pretify display of Correlation Id.
a409987eea Fix format_uri().
707f46459f mqtt: Add a preference to show message as text
2b916d6424 wtap: Add support for 802.11ah and 802.11ax PHYs.
3e53ec5e11 pcapng: fix the magic when bytes are swapped.
6cfc25c40e simple_dialog(Qt): fix extra ';' after member function definition
cc50ec3634 QUIC: simplify TLS key log for draft -17 and newer
c5b2808623 QUIC: Fix broken Key Update support
de5fd1634b isobus-vt: fix typo
f556a44bc7 docsis: fix header filename
bc9f570680 Fix for incorrectly decoded RSL ERR REP/BCCH INFORMATION optional IEs
75da45dc4e A21/s102: Improve Mobile Subscription information dissection.
f32638d67d a21: mark parameter unused.
0955f15ba2 extcap: Fix memory leak in extcap_free_toolbar_control()
b45e868e37 Qt: Make simple warnings and errors asynchronous
81cea3def7 extcap: Do not free mutex and cond in thread_pool_wait()
c52776da62 extcap: Fix memory leak in extcap_get_descriptions()
a115d2b483 extcap: Fix Python 3 control data handling in example
e05fac3ec0 A21/s102: Dissect Pilot List.
e803f83ac8 extcap: Fix memory leak in extcap_has_toolbar()
5689136fc6 fix typo: supres... -> suppres...
ca1163ab60 Qt: Add asynchronous simple dialog
40f6cb70e9 extcap: Fix memory leak in extcap_get_if_configuration_values()
92dede59a5 wslua(pinfo): fix typo
4cfe3fb6e0 docbook: add section from wiki.
f8e80f33f1 WSDG: Clarified and expanded Lua docs
1a7b83c20f tools: fix rpm-setup script.
4a5117ca43 debian: add libspeexdsp-dev to debian/control.
ada3d97986 PN-DCP: Add headerfield for DHCP Option-Code
f0ccbca5d4 [Automatic update for 2019-05-19]
b21e5be71c fix: typo typo
03a240ecad Don't set the length of the protocol list subtree until it's finished.
74a4067967 lustre: fix typo
a0dc24dfc6 mswsp: fix typo
d815a72805 Show SMB strings as Unicode.
640ded8e1d Fix some signedness warnings.
075fc13d7a 3gpp_32_423: Fix dissection of changeTime.
0215d34be7 Lua: define table.unpack for Lua 5.1 for compatibility
09f0d853e3 AT: Add ZPAS Command
038470b597 Clean up some signed vs. unsigned warnings.
32a014a4f1 Update the warning-suppression statements in idl2wrs.
03af0ad709 Enable -Wpointer-sign if we're enabling additional compiler warnings.
bb00f37f51 gitlab-ci: run setcap on dumpcap.
731b263853 gitlab-ci: move ubuntu commands in parent job.
3161feb026 Integer types are signed, not unsigned.
1942fa9e5a Do *NOT* assume col_get_text(cinfo, el) never returns NULL!
576f33fffd In pcapng_open(), don't use the local pcapng_t once we know it's a pcapng file.
a68627ae96 version: include version information for tarballs from git
1ee7c1105f WSMP: fix dissection of WAVE Information Element Extension
b78de04feb DOCSIS: Added 3.1 CM-STATUS Event Types and TLVs
715f46b768 Updates to NCP protocol dissector
5862b46380 gearman: extend, fix and refactor dissector
0aafbe7017 wtap: remove unneeded check (CID: 1441486).
f8ac57a2c4 Keep and use per-interface, not per-file, FCS length information.
5fd947d20b tls: add zstd(RFC8478) compression algorithm
6580ca9b93 cemi: Remove superfluous checks
757ada0e24 Qt: Fix no interface load preference handling
1573d4ddb2 SCTP: assure size before attempting checksum calculation
80920b0855 Diameter: Fix copy-paste-o
ab1a7cc4a5 TLS: fix DISSECTOR_ASSERT for zero-length records fragments
11110ae11e rawshark: fix parameter 'pd' not found in the function declaration [-Wdocumentation]
ff9189ef92 ieee802154: empty paragraph passed to '@param' command [-Wdocumentation]
e8e1463c6f diameter: Added 3GPP AVP "Presence-Reporting-Area-Node"
47a39b06ef Qt: Delete extcap option dialog when it is closed
fbe08109c7 Change 'Measurement Report Mode field' strings according to IEEE 802.11-2016
c1220ec0c7 gprscdr: Update to 3GPP TS 32.298 V15.6.0
7b43c480f6 Qt: do not expose a UAT record if the update callback fails
276d62b639 mmdbresolve: Improve our main loop check.
7f58286aee iso14443: dissect the CID in the attrib message
cff013f202 pfcp: Update to 3GPP TS 29.244 V15.5.0
f8d228d1b0 diameter: fix for validations script
2dd1a8a99f Fix comment.
91bbc58402 elastic: make fields all the same.
07aa2a8e49 docsis: fix for encrypted DOCSIS PDU packets do not match the filter 'eth.dst'
88096e1fc5 GSM MAP: Fix dissection of authenticationSet in SentParameterList
fed0e7c2d0 PROFINET DCP: fix dissection of an empty DHCP option
7e8a58e1e1 Explain that not handling byte-swapped pcap files breaks the tests.
3234152bec Fix SMB2 decryption on big-endian machines.
736052b3f1 RLC-NR: Attempt reassembly of UM PDUs.
ccf9820ea7 elastic: change 'pcap_file' into 'doc' in the mapping.
9f875e98e3 USB Audio: Dissect USB Audio Interface Subclass
70128148a6 USB Audio: Dissect Audio Streaming Endpoint descriptor
5c50163680 USB Audio: Dissect MIDI Bulk Data Endpoint descriptor
719d8d6a81 elastic: change 'template' into 'index_patterns' in the mapping.
ebcc9157c3 elastic: use correct elastic field types in mapping.
4f599be06d USB Audio: Do not group MIDI Events under USB Audio
2923ba19e6 USB Audio: Add USB Midi Event type to headline
858fae9f1d USB Audio: Dissect MIDI OUT Jack descriptor
e7c0855375 USB Audio: Dissect MIDI IN Jack descriptor
fcf5c1a512 USB Audio: Dissect MIDI Streaming header descriptor
2ea553ecbe USB Audio: Recognize MIDI Streaming descriptors
b06dcb32c7 nvme-tcp: Add nvme-tcp dissector
23744c9be7 tools: add speexdsp to debian-setup.
87deef63c6 Clean up some things.
beed21b038 Fix the length of the item added for the value field of undissected CLVs.
c135fb1308 K12: reverse use after free
3e8d9074ed [Automatic update for 2019-05-12]
3586da308f Windows: upgrade Npcap to 0.995
c95e83d9a9 gitlab-ci: fix pytest execution.
267d81148f SysEx: Add special System ID codes
ac66f39727 Small cleanups.
16ca1b5aca Fill in the packet flags for *Peek classic and tagged files.
c2dc13873f Clean up processing of RTMP data.
2ca8b14525 dumpcap: remove legacy code.
25e19aefcf req_resp_hdrs: add initializer (CID: 1445004).
faf191edc1 SBc-AP:Update to 3GPP TS 29.168 V15.1.0 (2018-09).
9ddb50f33f BSSMAP: Further decode the GCR (Global Call Reference) field
32fa74c08f GSUP: Add dissection of BSSMAP, RR and SM cause values
a521497fa4 GSUP: add E-interface messages (Inter-MSC hand-over)
fd2f439e33 Revert "Windows: upgrade Npcap to 0.994"
af80a96e8a Docbook: Remove an example capture file.
e2f12827b2 Set the length of the DDP tvbuff based on the length in the header.
ab7ee924a1 gitlab-ci: use new base image, drop gcc-4 job
cd3c76d5c6 Add a comment, update existing comments, fix the company name.
405439d41d QUIC: fix wrong dissection of ODCIL
ff7f584e26 bacapp: fix wrong value for id 183
a407e64a63 DRBD: Improve presentation of P_UUIDS110 message
81e9417b76 MAC-NR:  Fix a couple of issues with configuring RLC bearers from RRC.
348e0de9d3 ieee1609dot2: Add media type dissection.
5b0f937c5e oer: Fix uninitialized variable warning iussed by VS 2019.
991512c62f GTPv2: IE UE Usage Type can have zero length.
9dff0895ef Treat strings as being in MacRoman.
4812e2e7fa Debian: Be more strict about symbol changes.
2e3dcd479e Fix dissection of gatewayed/bridged LLAP packets.
9f8ac4d422 IEEE 802.15.4: Separate ACK tracking and conversations
550e03388e Flexray: put the flexray_identifier structure into a header
892914f854 Qt: Fix debug assert in Manage Interfaces dialog
26968f911b Set packet flags for some link layers.
b41d122142 Add preferences to NR RLC to accept PDCP config (SN length) from RRC.
97ff5fe2cd Debian: Add missing symbols.
8e3b16ffe2 BT Mesh: Mark a couple of unused parameters.
47f58d32c5 BTMESH: Fix for compilation without GCrypt
82801e04d9 Zebra: update for FRRouting version 7
2f82518f72 Windows: upgrade Npcap to 0.994
4a6d1d099c DRBD: Dissect states in P_STATE messages
6d160dad2d btmesh: fix compilation with older gcrypt versions.
85773a21a9 OER: Dissect Boolean and IA5String types.
aa8d948cf4 3GPP CBSP (Cell Broadcast Service Protocol) dissector
f3a86c02dd frame: increase EXCEPTION_TREE_ITEMS.
69e50be150 HTTP: fix bad reassembly with Content-Type and no Content-Length
bc4ffefdad print: remove leak in ek_check_protocolfilter().
8f85a1430d Add another encapsulation option, for LAPB (see T.617a-1994 Annex G).
e111c26c3e Modbus RTU: Fix Write Single Coil/Register dissection
bff6952e0e Don't throw an exception when doing the payload type heuristics.
2991770dbe SysEx: Split DigiTech commands dissection
14796202a8 Update tshark man pages for -j and -J
a90cc3309c USB Audio: Separate MIDI event data from padding
eb5f88c676 Socketcan: Add heuristic subdissection
5ad40e0cd0 BTMESH: Add access layer decryption
48d7cecedd Windows: upgrade Npcap to 0.993
9f9e69411b Fix dissection of DDP length and checksum fields.
ad72d54855 BGP: Update Tunnel Encapsulation Attribute Types (and SubType)
d352d2168c wimax: fix copy&paste error.
b078dbc602 Do more heuristics to try to identify the Frame Relay payload.
a8317adbca S1AP: add ErrorIndication message type to info column
d6ab4f792b BGP: Add missing SAFI Segment Routing Policy (73)
53e043a42f make-regs.py: assume source files to be UTF-8
8a13504258 commit-msg: Place Ping-Bug before Change-Id
0c22392166 [Automatic update for 2019-05-05]
b5b95f5dfc SysEx: Include all Manufacturers SysEx ID Numbers
57403dbfd1 USB Audio: Split AS format type dissection by version
2a76dc6385 USB Audio: Dissect version 2 General AS descriptor
5bdb0fd953 ZBEE ZCL: fix hf conflict.
04a4d1b269 Dumpcap: Use win32strerror in more places.
9e848ce829 Even more painful details explained.
d0ae8eecf6 Update a header file.
c7d86568a0 CMake: Remove wsutil pcap dependency
4c5d2f5ccf CMake: Add libpcap imported library target
e5b4e673f0 proto: don't generate elastic-mapping entries for string fields.
d52b74ee4f Powerlink: Fix representation of PDO version
8084dde668 USB Audio: Generalise undecoded descriptor expert info
b284e0b4dd USB Audio: Dissect version 2 Output Terminal descriptor
7d0a96ff16 USB Audio: Dissect version 2 Input Terminal descriptor
caf6c1b294 USB Audio: Dissect Audio Control clock selector descriptor
fa41112467 USB Audio: Dissect Audio Control clock source descriptor
186f985793 CMake: Check for and use system SpeexDSP library
854479a7dc Have the multiple-include guards cover everything.
2ee483a222 Move the Winsock initialization and cleanup to wsutil routines.
7bc066aa0c mqtt: Dissect publish message as bytes
0d5a9b270d Qt: Remove the border around inactive+selected packet list items
fd30adca44 Dumpcap: Call WSAStartup+WSACleanup once.
f0a34311a0 Don't use the result of please_report_bug() as a format string.
163d01b26c USB Audio: Dissect version 2 Audio Control header
cec5991f40 Windows: Modernize our WSAStartup usage.
3a2e290c33 QUIC: fix transport parameter heuristics for draft -18 and older
b075b8c7f7 wsutil: Fix 30 seconds freeze if process fails to start
15fcf3d4ac gtpv2: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
aa20023d6f ieee80211: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
d8d1d6409e mqtt: Check for a valid payload protocol
4addfb6b16 Windows: add brotli and vcpkg-export to cleanup items
dd708676d3 NR: Configure LCID -> RLC Bearer config from RRC
ca553bcb2a caputils: Convert error string to UTF-8 on Windows
7a6b6631c8 caputils: Fix endless recursive loop on Windows
af72ba7e84 FindPCAP: fix broken search logic
74a083dc41 [Automatic update for 2019-04-28]
33f12dc05f Move another print dialog reference outside #ifdef HAVE_LIBPCAP/#endif.
63ab0264ca Umm, you don't need to be able to do live captures in order to print....
c602119bcf Use pkg-config if possible; if not, use pcap-config if present.
d0ce55289b GTPv2: Update a value string.
7c59ac4c6d GTPv2: Add decoding of more IEs
1999ad7479 eap: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
b0ce8b1db6 NFS: Display nfl_util components for files layout type
ef44a8151a proto.h: avoid warning about not really deprecated (Clang) (v2)
5e636059b3 Expert Info: Displays comment of each packet in the expert information tab
112828bb55 file-util: fix possible null reference from code analysis
73e401afd2 extcap: Do not crash on invalid values
57c5015a6b Saving printing preferences from one print window to another
8a112f219a Qt: do not fail Conversations -> Follow Stream based on packet list
6e5fade2da Qt: Omit calls without values on selector reload
8bb8d5f86c [packet-iec104.c] - Add dissection for IEC 60870-5-101 Messages
64a56cf7a6 macOS: Add a workaround for libbrotli.
6f1efd7518 WSMP: Add a PSID check.
66f829bc18 win32-utils: Do not share job between Wireshark instances
504da93d16 RSVP: allow full range of RRO type values
8fbbb0c5fc Don't define http_decompress_body if we don't have compression support.
4828e45432 BTMESH: Adding defragmentation of messages
5ae6a9bea6 Do FIND_PACKAGE_HANDLE_STANDARD_ARGS() before checking ZLIB_FOUND.
c66994215b Don't look for zlib stuff if we didn't find zlib.
f75d841ad2 ISAKMP: Added dissection of digital signature authentication
bb757e661a docbook/faq.adoc: remove execute bits
26beaf8ba2 dissectors: remove execute bits from awdl, gbcs, pcomtcp
580098d875 FindXml2: use pkg-config to find libxml2 dependencies
b641febb1e TLS: Implement reassembly for Handshake messages
1799b24aa3 FindPCAP: use pkg-config to find pcap dependencies
8f2277ce8c KNXIP: Prevent possible buffer overrun
3a060214db QUIC: Update draft link
d34b8a21c7 Added 3GPP TS 29.214 (Rx) AVPs
28773689e0 QUIC: add new version and error code (draft -20)
c42433b6bb Qt: Support setting custom preferences
6a3b24be29 EAP: Passing additional context to allow for reassembly in vendor parser
900b9f1379 CMake: add USE_STATIC option
dd1245f5be ws_pipe: fix memory leaks in spawn arguments handling
4dfa358eda nas-5gs: Fix ecoding of Authorised QoS rules
a44e838158 GSM MAP: Update to V15.4.0 (2018-12)
c3cd3abc82 NSIS/WIX: fix BROTLI packaging (missing DLL)
025e1347e8 ISAKMP: Fix duplicated-branches warning
ec0f8128bb Diameter 3GPP: Change PLR Flags TFS output to "Set" "Not set"
38a6ceaad9 Diameter: Update 3GPP AVPs from TS 29.172
4c9a51e81d PROXY: add HAPROXY PROXY (v1) support
8939546535 PROXY: rename fields in preparaton for v1 support
090bb790ed NAS-EPS: Use ...bitmask_list() for EPS network feature support IE.
cd41d4d96f plugins: Make build status output less redundant
603569d159 IS-IS: add dissection of BFD-Enabled TLV
83b2f1bca5 Tools: Make a couple of scripts Python 3-only.
6f31151f07 docbook: fix broken image link on ChLibsNpcap
44cc03e4fb CMake+WiX: Add a note about merge module deprecation.
5076e53ffb packet: ensure pinfo->curr_layer_num does not depend on tree
c802a83363 isakmp: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
4008f01ab3 dcom-provideclassinfo: fix no newline at end of file [-Wnewline-eof]
90efed709a wps.(h): fix no newline at end of file [-Wnewline-eof]
9ce60b173b Add brotli decompression support for HTTP and HTTP2 dissectors.
51ac1047a7 ws_pipe: fix return value of ws_pipe_spawn_async on error path
c77ee0008d rpm: update rpm package dependencies and spec to work on current os versions
63a642ec80 ieee80211: Add FTM Request & Report dissector
8371b0ba71 [Automatic update for 2019-04-21]
6c04a872da wireshark-filter: clarifications and update links in manual
c9ca78fc2b macOS: Add a notarization script.
93b9388676 dumpcap: Fix pipe read deadlock on Windows
a051d5d869 wsutil: Refactor WIN32 ws_pipe_wait_for_pipe()
324710e9e0 ISAKMP: Adding some payload types (RFC6407)
01c161ca43 Revert "ProfiNet: Fix order in AssetManagment"
194abe7f3a Update email address for Kaz Kylheku and URL for Kazlib.
3af6db7dde RPM: fix build since GLIB2_MIN_VERSION was removed
f6d7a9546f BTMESH: Provisioning Capabilities PDU field fix
bbcbcdf637 ISAKMP: Update Notify message values
82d24d907a Qt: Fix deadlock in extcap toolbar creation
7432d6f154 ZEBRA: show correct Zebra route IPv6 source prefix
c642c1a0a4 text import: make TCP dest port truly direction dependant
cf5b86721a Adding the missing generic method to support multiple vendor-defined ext types
7950811438 CMake: fix Windows build when all binaries are disabled
8fd2e102a5 CMake: silence -Wunsafe-loop-optimizations for GCC 7
6866896ed1 Revert "Test: Disable a wmem compilation warning."
f5cc7904b8 gitlab-ci: add regression test suite.
bd75f5af0a checkAPIs: Check for non-UTF-8 instead of non-ASCII.
0974b68f5c WSDG/Capture: Fix typo in extcap_example.py name
e60c14e376 travis: update to Qt 5.12.3 to fix Windows builds
8c26217548 CMake: bail out if minimum GLib version is not satisfied
3f9579e3f5 wsutil: use environment variable WIRESHARK_EXTCAP_DIR when possible
727aaad3ae Qt: Do not turn empty parameter values into spaces
66b3a33bcb ENIP: Add more Ethernet Link attributes
344a596a49 ITS: Enhance ETSI ITS support (ETSI TS 103 301 and ETSI TS 103 097)
e7429d505e Diameter: Add 3GPP AVP 1706 and bit decoding
694d212b72 NFS: Fix header field type in dissect_rpc_array calls
1998de886c wsutil: Warn on empty arguments
c464186bf9 Only do the read loop in the TRY block.
3b0aabc204 IEEE1609dot2: Update to the latest ASN1 files.
36ff993151 Diameter 3GPP: Dissect S6t feature list
ed427ad021 NAS-5GS: Fix Item length in QoS rules.
da8ad825d3 Diameter: Prettify subdissection of bitfields.
df2ccf09e5 Diameter: Update AVPs from TS 29.336 v15.6.0
2dcc283be9 extcap: Improve example multicheck values
6033e51733 CIP: Don't parse error responses as Success
7a89e6ad56 CIP Security: Fix some off by 1
da848399ef DCOM - Add dissector for IProvideClassInfo
ec0ba4185a test: fix sampleif.py on weird systems using Python 3.6 and older
27dd00b30c Readability improvements to WSUG - Introduction
d2a2698fd8 extcap: Fix Python 3 bytes handling in example
7aa48b3099 test: run test_tshark_extcap_interfaces with capture support only.
c9637e8ee8 ZigBee: Remove unused hf
55a8abc5b2 ZigBee: Dissect Snapshot Payload Type names
471dc722c0 Don't pass "-g deprecated-gtk" to checkAPIs.pl.
7187120b13 ISAKMP: Added support for Notify DEVICE_IDENTITY Payload
b7c7ab43fa ZigBee: Dissect Notification Scheme names
0f5dd4c778 CRMF: Handle 64 bit serialNumber
092a3c9716 LDP: Dissect interface parameter of PWID FEC
89f339afa2 Hava a routine to read the currently-selected frome.
75a6897b0f Qt: Do not pass empty values for extcap boolflags
6560179d93 ZigBee: Fix some -Wdocumentation issues
baea49fb38 ZigBee: Decode remaining commands in Metering Cluster
30fc67202c make-usb.py: use HTTPS URL
bfaef4cf48 Give a PacketDialog a Buffer and read directly into it and into its wtap_rec.
9d7d4c015c wsutil: Read stderr and stdout data asynchronously
1c4885deaf make-usb.py: use octal escape sequences
651bdf592b [Automatic update for 2019-04-14]
458fa7b274 Qt: Display checkboxes for extcap multicheck
65b5f50859 modbustcp: fix a shadowed variable warning
9df7d1b6f1 DHCPv6: adding some more options
75b03ac485 Improve phrasing in wsug-preface
6f57aa72a8 Make a couple of scripts Python 3 only.
c442ee056b extcap_parser: remove G_REGEX_RAW from line parsing.
c1dcf8c3fa BER: put the space to the left side of the bracket
a96d0bb946 BER: fix regression in dissection of named bit list
a65f7f5838 QUIC: update transport parameters for draft -19
39299a13cb DRBD: Add dissector for the Distributed Replicated Block Device protocol
7b36b8107c Use a local buffer for rescanning and finding records.
3e2cad0cb5 F1AP: upgrade dissector to v15.5.0
1795d6f201 E1AP: upgrade dissector to v15.3.0
0c53d7dc29 XnAP: upgrade dissector to v15.3.0
865df87918 version_info.c: Handle Visual Studio 2019
4bebe9807a RTCP XR RR: fix dissection of timestamp field.
d3e7bf79dc NGAP: upgrade dissector to v15.3.0
35799f4886 ICAP: Support ICAP over TLS
4591286d3a radius: add Meraki dictionary
a6dac6240f X2AP: use the right tree for EndcSONConfigurationTransfer IE
b95933a031 wsutil: Fix pipe handle leaks on Windows
3e6af782d5 ieee80211: fix bitmask on HE Capabilities field
ed51e15cfa LCS-AP: Update to  V15.2.0 (2019-03)
7abbbaac3d Diameter: Add 3GPP AVP:s and sub dissection.
d3aca2e025 rtps: fix conflict on value_string
b86346eaa0 ieee80211: Add length tag check for Mesh Configuration IE
8b6eb05bb3 ieee80211: One to one mapping between conversations and associations
47361b2737 ieee80211: Handle variable MIC length for FT IE
e64976d33a ieee80211: Fix some coverity scan issues
4dda4bac17 Qt: use toLocalFile() instead of path() to check for existence.
96fa471542 LDP: Support RFC7140 (Extensions for HSMP LSP)
4db2258dd6 fix: no previous prototype
4d8d4dc60a LDP: Complete support for RFC8077 (PWID FEC)
afdefea279 IPDR: add protocol property to decode user-defined sessions as SAMIS-TYPE-1
fe50824bb4 X2AP: upgrade dissector to v15.5.0
f31bc9ec28 ieee80211: Add missing bitmask field for Mesh Configuration
7a793e5cd4 ieee80211: Remove zero-length array usage
a9861fb4cf S1AP: upgrade dissector to v15.5.0
ba40851b27 Windows: Use an lz4 DLL built with vcpkg.
f3ef8575d4 ieee80211: fix wrong offset for mesh configuration capability bitmask
1c9125ed5f Consistently use NULL when setting current_frame.
420157ff43 README: add more operating systems in the opening sentence.
dfbf88397e Add 6LoWPAN Selective Fragment Recovery
43b85f102c ieee80211: Add RLQP (Advertisement protocol ID)
44e67a9a4f ieee80211: fix typo on BSS Available Admission Capability
0771cf73cd Use a single wtap_rec and Buffer for an entire capture session.
bbc8cbfb9c If you use data_file_url(), you must first call init_progfile_dir().
9f575c8dc9 Use a common wtap_rec and Buffer for all packets.
ae3e6712f3 proto.h: avoid warning about not really deprecated (Clang)
59a1e65170 ieee1722: Associate dissector with UDP port 17220
9e93738999 [Automatic update for 2019-04-07]
2c1dcfed4f The wtap from which we're reading to get statistics isn't a statistic itself.
4c8a226c07 Explicitly make cf->{rec,buf} the information for the selected packet.
6636fa3416 NR RRC: upgrade dissector to v15.5.0
937ec02581 1514 is a better initial Buffer size than 1500.
f0a2b8303a Revert "Get rid of the per-capture_file wtap_rec and Buffer."
3ba1c7ff77 LTE RRC: upgrade dissector to v15.5.0
3f95e31026 DCOM - Add dissector for ITypeInfo
5bd6d44ba6 Dissect USB "device" Setup CONTROL messages
98bcda594e Make call_dissector assertions non-fatal.
44d11a193f Gen-bugnote: Replace multiple instances where needed.
15c4c3df31 .mailmap: update of March
0f2a6a890f ieee80211: Add Reserved entry for VHT OP Channel Width
7da28a78e6 ieee80211: Add space on description for some Extended Capabilities field
1f60984ecd file_dialog.c: initialize wtap_rec and Buffer in get_stats_for_preview()
58fa1e1b19 Clean up white space.
9445403f95 Get rid of the per-capture_file wtap_rec and Buffer.
053cf16173 ITS: Add CAM and DENM v1 dissection.
c83c85d879 Add one more use of Buffers.
54ca64a1c4 S1AP:  add hidden items for mme/enb-ue-s1ap-id
37b91eedd6 BER: fix dissection of bitmask lists with an invalid length
2101811108 Pass Buffer pointers in some more instances.
58afae4bd0 Pass Buffer pointers rather than packet data pointers in some more cases.
8a5b26efb1 Have wtap_read() fill in a wtap_rec and Buffer.
b572b65e51 DOF: Fix alias binding dissection.
c762c5ca42 Use "buf" for Buffer pointers, "pd" for raw packet data pointers.
3b476156d4 Don't print a message if a select() was interrupted by a signal.
436278747e Reset the terminal color if we're ^C'ed when reading a capture.
7edadf9ce3 asn2wrs: Improve filtername of named bits.
b0b02ec245 ieee80211: Add defines for AKMS
ca694eb078 PER: Use proto_tree_add_bitmask... () for named bits.
24ef409900 ETSI CAT: add dissection of Network Measurement Results
67644354a1 Clean file reading code.
52324097c2 ieee80211: FT over IEEE 802.1X (SHA384) is an FT AKMS
b39a736e91 iseries: ensure the buffer is null terminated.
8d3ac3af86 epan: Convert our PROTO_ITEM_ macros to inline functions.
bdf26a35f6 Test: Disable a wmem compilation warning.
a85e9327dd H248C: Fix an expert field name mismatch.
6fc00612b4 macOS: Update a comment in osx-app.sh.in.
00e2434a6f osx app bundle: add entitlement to allow loading 3rd party plugns
c750846e81 Document all the signed-integer tvbuff accessors.
23b3ea1469 smb2: NFS symlink reparse target is not NULL terminated
feb931e2f8 Quiet output of make-version.pl
7c5f59dcf7 CMake: Require pod2man and pod2html.
13f8f2c8dd FP: Fix ToA shown as unsigned
4b814187ac ieee80211: Fix WPA1 decryption
6c3467945c ldss: add checks on file digest.
c2ac157ac0 ASN.1: Use  proto_tree_add_bitmask... () for named bits.
0894131f2d Netflow/Ipfix: Update some IE (RFC8549)
505c3187a4 Clean up color handling.
c1e404a36f Test: Disable compilation warnings.
40ae331eb3 Fix permissions.
fc56f23303 Qt: Add hover style to packet list and proto tree
009283a68b Qt: Bring back border around inactive+selected packet list items
711ac47896 Windows: upgrade USBPcap to 1.3.0.0 and Npcap to 0.992
aa0abdf156 AARP: Add length checks.
6b28cc9b89 ISIS LSP: Add a length check.
355fe66340 IEEE 802.11: Fix an infinite loop.
2c00e5b4e4 Fix our .chm titles.
43d2179e96 Diameter 3GPP: Dissect bitfields of PLR-Flags and PLA-Flags.
7497e52900 Diameter: Add 3GPP AVPs and data.
496c4c53a3 add to get_time_value() case ENC_TIME_MSECS|ENC_LITTLE_ENDIAN:
2edb698108 IPOS: Add decoe as for ethertype.
2f09f6aba4 HL7: do not call proto_reg_handoff_hl7() when changing a preference
2dfb2067d8 On Windows, don't do console stuff unless we're on a terminal.
4098687fee Add some new symbols for Debian.
8b0615de3b Only put generic values into the print_stream_t structure.
8a283325d4 travis: fix missing msbuild output on Windows
511867cdf4 Don't draw the taps if we never got a capture file.
666d77db45 Fix -z hosts output if it's from a live capture.
426a4b811d [Automatic update for 2019-03-31]
85838c124a I misread the Microsoft documentation; fix the comment.
1d984e598e Update a comment.
2cb8bed2e4 Update docs for WinPcap to Npcap switch
8eabc748cf camel: Fix dissection of SpecializedResourceReportArg
d916e0741a coap: Add retransmission detection
4eb884dca3 NLM: Fix length of offset and length for lock request
5648fd5086 IEEE802.11: Fix src and dst address handling for AMSDUs
7d9dc595c0 GTP: Wrong offset used for QoS Flow Identifier in UL PDU SESSION INFORMATION.
ed41f73708 GTPv2: Update Presence Reporting Area Action to v15.7.0
5a55cd2553 NAS EPS: upgrade dissector to v15.6.0
864f43ea9b 3GPP NAS: upgrade dissector to v15.6.0
db847e9717 tls: fix typo
38b186cf66 GTPv2: Fix MM Context Used NAS integrity protection algorithm values.
91382cd6ea GTP: Show spare bits in PDU Session Container.
303ccbe4b5 MTP2: Optionally enable checksum verification
45a8c2dbf4 Decode IPv6 MPL Option Seed ID Length Enumerations
aa39ca68ae SIP: Add a preference to hide the generated/trace Call ID
d5f431b1ec WSUG: Update deprecated syntax.
cdd6cbd18b Update documentation of -G plugins.
5dfde7ff83 Print extcap plugins with "tshark -G plugins".
4e688ec8da iso14443: Initialize iso14443_trans->cmd.
78f3b8afe9 BGP: Fix handling of MPLS label for RFC7432
9e94aab29e umts_fp: check number of frames before calling a subdissector.
94461234f9 ieee80211: Support decrypting OWE captures
8cdc958426 GSS-API: Make sure we call a valid dissector.
7dda6c4e64 export giop_add_CDR_string for use in plugins
bbe009f88d NAS 5Gs: SUCI dissection
2df2edefa7 gtp: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
67441248be gssapi: fix indentation in function dissect_gssapi_work().
ea39ed7410 iseries: fix wrong indentation.
c1fd0194f4 Revert "iseries: stop scanning a unicode string when the null terminator is hit."
4118ba3af1 travis: Allow Windows builds to fail
c599e49028 iseries: stop scanning a unicode string when the null terminator is hit.
1ce2918fc8 dof: don't use src/dst addresses if they don't exist.
551fb916bc ieee80211: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
f717932af2 [Automatic update for 2019-03-24]
776b31249f gitlab-ci: fix asciidoctor version in opensuse.
4ad6f2a813 Add routines to return "Please report this as a bug" message strings.
2cb4d315ad wsgcrypt: fix wrong double assignment (CID: 1444233).
da5a160edf Bluetooth HCI: Rename LE Read Remote Used Features command
ed23cfba22 Clean up IPMB/I2C link-layer header types.
80d96e91d2 Restore pinfo->match_uint after the topmost dissector returns.
e7dc592406 Qt: Fix our Expert Info foreground color logic.
0b69783eb6 ieee80211: Add version and subtype field for Aerohive IE
a748f8f41a Clean up the new-file selection criteria in the GUI.
5a98368ad8 print: don't ignore FT_NONE fields in ek.
ed40d31801 json_dumper: flush dumper before printing an error.
41e31a3e41 Mark IPMB packets as IPMB in the protocol column.
67c6a44501 krb5: dissect padata PA-PAC-OPTIONS
2182d9d294 Don't use dissector_try_uint_new() to call the subdissector.
f7705e859a bthci_evt: add BASE_UNIT_STRING to bthci_evt.max_encryption_key_size.
84b20c0ed3 randpkt: fix indentation.
ea5c0d947e GTP:Dissect more IEs
108507e504 Rbm: Be more strict about unknown object types.
696d1fe6b9 wsgcrypt: fix build with older gcrypts.
13ca6fc38e Fix order of ring buffer and auto-stop items on the Capture Options page.
429031b079 ITS: Fix decoding of messages using ITS-Container V2  ts (102637).
5f4cb69598 Bluetooth HCI: Core spec 5.1 support
dc0a7edcb4 Qt: Welcome page dark mode fixes.
c287fe2853 Qt: Fix our ColorUtils::themeIsDark comparison.
029f24e4cf macOS: Restore dark mode support.
2d5e4be5c2 sbus: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
d4c8f700e6 BGP: Add LS Advertisment of IGP TE Metric (RFC8571)
64e02c943a randpkt: restore produce_filename in random generation.
d98d221865 packet-ip: Add codepoint LE as per draft-ietf-tsvwg-le-phb.
9cf77ec5e1 ieee80211: Support decrypting WPA3-Personal / SAE captures
b780bb19bd NAS-5GS: Dissect Packet filter contents Single remote port type.
c7c3e31772 NSIS: Add logic to package Qt debug DLLs
19d54ac364 TSDNS: Add more wmem_strsplit return checks.
6c11719c8c Get rid of unnecessary include.
fff15ba974 WiX: Fix another libxml2 variable.
5169abbbe7 Clean up comments and white space.
f4186b5b13 ipp: fix field types.
38f348bbb0 Put back EOF rule, but without exporting write_current_packet().
8b8fc662d8 NAS 5GS: Remove double dissection of  NAS key set identifier.
9d44b75999 Windows: fix addition of Libxml2 DLLs in installers
c01ace71ef Write out the last packet in text_import().
df737b2b35 SCTP PPID Update
45f71b546b sbus: remove unused assignment (CID: 1444116).
2597b660ff Syslog: proper message handling
3d827255c0 NAS 5GS: Fix dissection of Registration request half octet  IE's
50408de762 vlan: Use proto_tree_add_bitmask_list() to add flags.
879c05335f reassemble_test: Fix some compiler warnings.
0781a88c5b Debian: Add a missing symbol.
7c5c7fc985 Don't cast away constness if you don't have to.
a6da14982b NSIS: Fix our extra installer location.
36ba6b87c1 Windows: Switch to Npcap 0.991.
acc96e5206 Windows: Start using a `vcpkg export` bundle.
f57a73d688 rtps: fix ipv4 address prints.
f69726f9f0 Work around a mis-declaration in the bcg729 decoder library.
62e8dba893 WSUG: Update the requirements section.
cab0022dfb ISIS(Hello): Fix Dead Store (Dead assignement/Dead increment)
7048c66c39 dcerpc-nt: remove unnecessary if (tree) checks
694d7fb349 assa_r3: fix field type.
5aba3ed0cd dcerpc: ensure the length in the packet doesn't overcome the boundaries.
ae086bffe9 pcep: fix field type.
4110533875 openflow_v6: fix field print.
00416093de bacapp: fix field print.
b5eb0c680d Get rid of extra declaration.
cd58292160 Don't cast away constness if you don't have to.
a834bdf933 Don't cast away constness if you don't have to.
946c850541 More constification, to squelch warnings.
4a9c686322 More constification, to squelch warnings.
5a7e0b6350 Don't cast away constness if you don't have to.
c40e18b252 Don't cast away constness if you don't have to.
f3a02d34b0 Don't cast away constness if you don't have to.
f2e511e148 No need for a per-instance private sctp_allassocs_info_t pointer.
86c9d41510 Don't remove constness in a cast if it's not necessary.
cced5fb949 Constification, to remove some compiler warnings.
7d8cb0ab4f Constification, to remove some compiler warnings.
a3de3fbec9 Treat erf_timestamp_t's as integral values.
654110515d Radius: use generic e212 function to dissect imsi field
aaf34bcb02 [Automatic update for 2019-03-17]
f73a6b4f76 TLS: fix potential buffer overflow with a malicious SSL 3.0 session
1660f74371 Remove incorrectly-inserted "return FALSE;".
c0839e2e2a Fix up the checks in nspm_signature_version().
a4251ec71d decode-as: Write the entries sorted to file.
12ee180cd4 TCP: Adding sequence number only once to the tree
134a513dd5 netscaler: add more sanity checks.
a152753aa9 rtps: fix format in val_to_str().
2bd680746a IEEE802154_TAP: Add TLVs for channel plan and freq
14796eb04a Windows: Console log handler fixups.
3b2204e127 wmem: fix a comment.
60131852b2 IS-IS: Adding support for RFC8500
306ead40b6 Ask, in a comment, whether we should do an exact match on signatures.
f18bd4bd68 Fix the test for a NetScaler trace file.
3b2b1d571d GBCS: Add define for use case GCS24a
3a27d6b3c4 Add -G Ninja to macos-setup.sh
82b0312887 dumpcap: Reallocate the IO buffer when switching the ring buffer files
7c943d35a2 dumpcap: Initialize the stats variable
fb59e45586 RTPS: Support for Data Representation QoS policy and XCDRv2
84750864e5 BGP: adding support for RFC8538
5a8e9e35b3 gsm_gsup: check the current len against the caller length.
bf2c6ad147 ZigBee: Decode Tariff Label as unicode
87e5fd0bcb ZigBee: Rename variables to be consistent
5d71a8560c Stub version of dissect_btmesh_msg() missing _U_.
fbb5761250 GSUP: remove the tree check
e3ae91e4c6 btmesh: Adding support Proxy Protocol control messages
487f1c8c98 NAS 5Gs: Fixed Integrity protection MBR
09a04829cb ZBEE ZCL: updated Device Management Cluster dissection.
cdb5924c40 OSPF: Add RFC8510
0c12cd57c7 Use memcpy() to copy bytes.
6022ea716b Flip MAC and IP addresses, and TCP/UDP/SCTP ports, for outgoing packets.
fd7ff6916c Ask in a comment whether we should test HAVE_STRUCT_STAT_ST_BLKSIZE.
e901d722e0 GSM A RR: fix Frequency List Variable Bitmap IE dissection
929829797f DHCP: more details for PXE fields
a55111610a Dumpcap: Set a bigger IO buffer (64KiB).
101fed9420 Cmake: Make it possible to check on HAVE_STRUCT_STAT_ST_BLKSIZE.
fea16b4aee [Automatic update for 2019-03-10]
433464a2a5 nbap: add sanity checks when accessing arrays via num_items.
4273d0b170 Allow %D and %T in date/time formats.
e451ea0a4d Qt: fix compilation with old compilers.
0e25e898ea nl80211: Parse some signal level attributes as signed value
04eb6cd30b ebhscr: add nmea support, update of eth link and master/slave bits
e2143e93eb nl80211: Fix HT/VHT capability attribute parsing
dfb98b8458 nl80211: Parse FRAME attribute using 802.11 dissector
34175de076 nl80211: Dissect wiphy name and alpha2 attributes as strings
1d5eb1c5d0 nl80211: Let generic attribute parser handle 64 bit values
81daef4129 u3v: reorder pixel_format_names to prevent '-G values' warning.
9c04f07f88 GSM RR: Align Channel mode text.
7208e60274 BSSAP/BSSAP+ have different "decode as" for BSSAP and BSSAP+
ae367d9b9b lwm2mtlv: Format string when used in header
5fa5014cdc SCCP: Only show associated IMSI if present.
325287765c GSM A RR:Update channel mode interpretation to TS 44.018 v15.4.0(2018-12)
d5dc30fa00 u3v: Added support for the U3V_STATUS_DATA_OVERRUN error code      and a couple of pixel formats that where not properly decoded before
2c058466c0 DCM: Improved COL_INFO
7fbee2640c Docs: Mention Npcap in our man pages.
b08003309b Remove the periodic interface update in wireless toolbar
28c5b73545 Updates and bugfixes of ASTERIX
e327892d09 ieee802154: Show header fields
3267f3641f We need more pre-allocated fields.
020e25b660 packet-gtp.c: remove unneeded named structures
52203676cc couchbase: check shift value before use.
67b1db7815 ieee80211: add expert info for invalid control_id.
8f1751ce40 ieee80211: check offset before using it.
d7a3764475 Some cleanups.
8f15ebed65 srvloc: check buffer index to prevent heap overflow.
b8b582af3d Fix up size calculations.
4651b48d98 smb2: add support for SMB3.1.1 multiple error context responses
f2c77a4265 uaudp: added support for StartSig/StartSig ACK messages (DTLS feature)
f6f048361f IEEE802154: Fixing some implicit conversations
dfa2c06e79 smb2: pass down payload length
daf29e2bde smb2: cleanup sockaddr dissector and make more generic
69460d44ea maxmind_db: Work around an apparent GLib bug.
9887fe3d15 WSDG: Describe our tag naming conventions.
00318b3267 noe: updated decoding of messages
b4f4804741 ZBEE ZCL: Fixed errors in dissectors.
94e676d578 ZBEE ZCL: updated Energy Management Cluster dissection.
b2d93718ec DHCP: add missing PXE Client LCM suboptions
7da3614103 DHCP: fix copy&paste error in field descr
63cba9ebf0 H.265: Small parsing fixes
c84f69f748 Discard the upper bits of the "network" field in the file header.
4e07033c38 ieee80211-radiotap: Bring up to date with the actual spec.
ad45f19196 [Automatic update for 2019-03-03]
d4b79eed3f nfs: Add support for more attrs and for the new deleg types in v4.2.
a5b5f649ff Say what short name already exists, to help the developer somewhat.
23cef3d302 smb2: add support for NFS reparse tags
c00cdfeec9 ZigBee Device Profile: Changed info in column.
4b7e14b03d Add support for protocol broadcast by EERO Mesh AP's
e1316e1b20 IEEE 802.15.4-2015 CCM* nonce for TSCH mode
f4167c32e0 Support unsigned stream identifiers for Follow Stream
712d94fa78 vwr: fix Uninitialized argument value found by Clang (Analyzer)
6ba1cd5486 ZBEE ZCL: updated ZCL DRLC Cluster dissection.
0bf337749e IMSI based filtering for SCCP/RANAP
349735613d ieee802154: fix compilation with gcc-4.
acb406ff34 DHCPv6: catch the NTP server suboptions being longer than the whole packet
1cbcc57e0a Put a fake "FCS OK" value into the tree if we don't have FCS information.
74a776d391 Pull some common code from the FCS/metadata dissectors.
8ecb42ae0d Have separate routines to dissect an FCS and TI CC24xx metadata.
371c71ac1e Don't use a global variable for the FCS length.
f5164e6eff Don't use the same variable for the configured FCS type and the tap FCS type.
65ca4b4da7 Clean up ITU-T vs. CCITT, fix some comments.
7bf2fbf85a Replace another tvb_new_subset_length_caplen() call.
bf8ca6a605 Replace a tvb_new_subset_length_caplen() call with tvb_new_subset_remaining().
c6781b6385 Remove FCS length checks from code that's handed a tvbuff without an FCS.
6ce7509223 Add IEEE 802.15.4 TAP link type
a0c93f426b CMake: Don't build Windows package targets by default.
41c566b48d ISUP(ANSI) Backwards Call Indicators decoded incorrectly
1cff40a60a .mailmap: update of November, December (2018) and start of 2019
5ea759974a ZBEE ZCL: updated ZCL Metering dissection.
8fad9ba447 Fix the FCS handling.
4194678a1c QUIC: update ref draft url to draft-18
a4c8b2d4e6 Fix a comment.
179d872565 Fix subset-tvbuff creation.
ec6cdc81bd More "It's not a CRC, it's metadata".
e3ecc0692c ANSI ISUP: Dissect Transit Network Selection and Carrier Identification.
2f048c932d rpcap: check conversation existence before dereferencing it.
812afa8065 More "it's not an FCS, it's metadata" comment updates.
5ab0bc2a3c The TI CC24xx chips put metadata, not an FCS, at the end of the packet.
15f2402a33 pcap: Update link_type_vals
8ee96f4ccb Add IEEE 802.15.4 ACK tracking
8f77202943 Add support for IEEE 802.15.4 32-bit FCS
0a035b1410 Fix ieee802.15.4 wpan-zboss abbreviations
f398a0e267 MS Proxy: Initialize a variable.
a302d531e8 The non-flag arguments to tshark aren't necessarily a capture filter.
54417ed16a Qt: Info label fixes in the Profile dialog
54b678f9f8 IEEE 802.15.4 Fix duplicate strings
07bb974bcd netscaler: fix multiple out-of-bounds reads.
a4068a9057 sbus: Add multi-media telegram dissection
6e1d30ce87 wslua: simplify __WSLUA_REGISTER_META and _CLASS
092d73e43e macos-setup: Update our GMP build flags.
0179338f31 H265: Check range of H265_MAX_NUM_SHORT_TERM_REF_PIC_SETS
44611384f3 mate: Memory leak in mate_grammar.lemon's recolonize function.
122cc388a2 GSM MAP: Dissect several LocationInformationEPS's subparameters
7a48220542 Fixed a bug found in the BACnet-APDU dissector
b3f6dbbb5b Qt: Remove save_file when restart
0fcf4b1de9 [Automatic update for 2019-02-24]
95bf9f5e0a Put back the NCP Group Type item for LIP Echo packets.
d99cd2ed73 ncp2222: remove unused variable.
c519d8867c Make two watchdog types more alike.
c37a89b753 Clean up dissection of watchdog packets.
5b9bbaf7e2 Fix dissection of Large Internet Packet echos.
1048b82ca3 Fix liblzma, liblz4, and libssh builds with minimum deployment version and SDK.
c1a7b8ba7c pcap: Update link_type_vals
f548063102 Install Qt 5.12.1 by default.
372b9657a6 Add -D_FORTIFY_SOURCE=0 for C++ if we're using it for C.
1798a3f295 Set CXXFLAGS and LDFLAGS for all libraries.
ce2dadda9f Get rid of extra space between environment variable settings.
1b10ac9bd4 macOS: Replace Wireshark.app when upgrading.
9342371220 Get rid of duplicate setting of CFLAGS.
e601a00d6e mbtcp: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
fb1c33ed24 btavdtp: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
551067767d profinet: fix unused href
d4063f3cae profinet: fix Control flow issues (DEADCODE)
e391819e8d vcwr: fix Uninitialized argument value found by Clang (Analyzer)
2fffda7edd pcomtcp: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
03645b762e nas_5gs: fix duplicate return len (CID 1442817)
67713c4736 packet-ecpri.c: cosmetic corrections
781fb82045 Qt: Add display information to the About dialog.
f1c4a64caf packet-dhcp.c: Dissect Cisco ACI fabric internal option 43
38f43894a1 btmesh: Fix compilation warnings
c28d8f937a packet-dhcp.c: Fix modification of a const char* string
c62dadd31f Qt: Keep column width and align when edit custom fields
d2e9b5b8e5 Qt: fix compilation without pcap on gcc-8 and clang-7.
ed62685b86 socketcan: Dissect error frames
a8df0c0e13 Expanding Bluetooth Mesh Profile dissector
8b0e851d4e Bluetooth: LDAC dissector
fc0e5d48d5 DCERPC: fix parsign of big endian UTF-16 string
cced6a7b1d packet-ptp.c: Decode VendorID in the clockidentity field.
07c73adaee Qt: Fix restart capture when using a ring buffer
1df39d65f5 Qt: Fix removal of "Capture to a permanent file" setting
efe920af3a netscaler: fix crash when reading malformed packets.
22330a89b1 F1AP: upgrade dissector to v15.4.1
334f7e1fd9 eCPRI: added new dissector
f1421927d8 Add new Debian symbols.
e2377cf33f SMB2: fix Chain Offset field endianness
5aa5f1c231 GSM-A-GM: Remove redundant code, gtpv2 add a comment
18bfaea5ce GSM-A-GM: Enhance TIMER 3 presentation
28f49a0a9a Add --discard-all-secrets to remove decryption secrets.
3b8bf168e6 WSDG: Let Windows developers know that they need Perl.
9f414b46d3 ieee80211: Dissect MESH specific bit of QoS Control
da70ea1c30 Use #defines for long-option codes.
a325c949bc Clean up indentation.
ab352c61fd Report counts of decryption secrets and resolved addresses.
9c03b9bc8e ieee80211: Always include Mesh Control dissection
d3c583aa67 Add protocol filter for exported parts of 3G and LTE RRC.
d184edbaed PROFINET: Additional DCP features are added.
434a95625b Add FSRVP dissector
c5681ec342 ARP: Various improvements
0000483455 ARP: Add support for ARP Probe and ARP Announcement (RFC 5227)
eeeadbe925 Modbus: Explictly check for request when using byte count in responses
e797e75174 Include epan header files in VS solution.
9f75af5b25 ieee80211: Add dissector for Mist vendor specific IE
24e71ae4f5 Modbus: If response packet is not found, base registers/coils on byte count.
4b668430d1 NAS 5Gs: Ignoring MM capability spare octets
9a76603ffd ieee80211: Fix parsing of Mesh Peering Management element
053b98cfdf ieee80211: Stop element parsing after MIC element
91658a48ff ieee80211: Add parsing for MIC element
1dc700dc12 dcom: remove unused header
2172fe93e1 macOS: Fixup our libssh workaround.
09cf98db98 [Automatic update for 2019-02-17]
71ca199bf1 Add the response time to response packets if we find the request.
b7e2cbb3d5 Include the HTML IP map in the CG.WiresharkRequired component group.
ea7b7f052c ASN1: Also show root node for exports.
29ac5a9e61 Don't fail in CMake on Windows if you've disabled building Wireshark.
ba1ef0ec3d Re-implement "Map" feature for Endpoints
2f7cc1ac33 ISIS: Add SRv6 dissection (draft-bashandy-isis-srv6-extensions-04)
7770ad93e2 Don't allow NSIS or WiX installers if we aren't building Wireshark.
751ab080eb Remove whitespace from the end of the line.
b88e2325bb VS 2017 and later include the redistributables even in Community versions.
693d04f281 Give the current URL where you can find the VS redistributables.
403f556c30 html2text: Fix our footnotes.
97d34eb1bd Replace Qsort with std::sort
e6904308d3 travis: fold msbuild output to remain below the 10k line limit
45f55ad8ac travis: improve cache handling on Windows
0c00b1666f travis: avoid aborting the build on slow Qt installations
b658de2fa7 Rename our .asciidoc files to .adoc
4bcad12279 NSIS: Add ERROR_PRODUCT_VERSION to the vcredist checks.
35dde308c4 NSIS: Fix packaging.
23c9a1e036 Convert the FAQ to Asciidoctor and remove old help files.
ef0ef16c30 macOS: Try to work around .dmg packaging issues.
81338f1664 macOS: Packaging and code signing updates.
871d16a4de couchbase: Add Collections Get ID opcode
1283298c95 NAS 5Gs: Updated packet filter component
979ee717ff DCOM - add support for RemoteGetClassObject parsing within ISystemActivator
465f02a61a packet-ptp.c: Add some reserved fields instead of skipping them
c99882733a Do all the per-capture-file work in process_cap_file().
1c27d782ba CMake: Move the PLUGIN_PATH_ID definition.
aedf6fe1c5 macOS: Fix our plugin path.
b3c5fcb67c Make some code common between pcap and no-pcap TShark.
b5036134c2 Add macros for the pack_flags field.
bf4fe342e3 LTE RRC: add dissection of NR RSRP/RSRQ/SINR fields
c96b56d384 frame: fix crash when dissectors add the maximum number of tree items.
e4a6f87088 CMake: disable relocatable builds when dumpcap is being built
ce7619040f Indicate what changes to make if we remove the version component.
aa1f314464 Fix directory containing compiled plugins in macOS.
80e33fffce MacOS: Fix a path.
6fef7cdc84 MacOS: Bundle and packaging updates
4237718ecb DCM: Fix offset for protocol version
975e73939a packet-dcm.c: fix reassembly and export
089d432040 json_dumper: escape forward slash in some strings
329e54010b NAS 5Gs: Updated PDU session establishment request message
4129c3efc0 QUIC: fix reserved bits and packet number length in long headers
9a4393851b Qt: Fix Crash in empty Bluetooth windows
96b9e62a98 TLS: Add IANA-approved GOST ciphersuites
9b8f04bc55 appveyor: upload installer artifacts for development branches
5c4458345c Change maxmind_db_lookup_ipv4 to look more like maxmind_db_lookup_ipv6
426107f2b5 maxmind_db: improve debug messages, harden against bad input
43692360c4 maxmind_db: fix broken GeoIP lookups due to bad address processing
7cc5941f95 json_dumper: add json_dumper_value_double
0ca65a66f4 Fix crash when using the "matches" operator on non-UTF-8 data
f2dc64e9b8 CIP: Fix false positive expert info
f54a625682 CMake: clear cache variables when a library has changed
203839df3d CMake: remove unused FindMACOS_FRAMEWORKS.cmake file
7bb8d5ad31 f5ethtrailer: set G_REGEX_RAW for platform pattern (cleanup)
720c3bdc04 column: set G_REGEX_RAW for the custom column filter
567fe966b1 extcap: set G_REGEX_RAW to avoid potential crashes
80587eb063 logcat-text: set G_REGEX_RAW to fix potential crashes
384a41de8d tls: set G_REGEX_RAW for keylog file pattern to fix potential crash
07910e841e RPM: respect options for disabling Qt, SpanDSP and BCG729
55db3d523d [Automatic update for 2019-02-10]
18b180c59a Windows: Upgrade Kerberos to 1.17-1.
a43730cb10 Convert WinPcap references to Npcap.
aabce6151c WSDG: Windows toolchain updates.
2e13c4adb2 mqtt: document UTF-8 requirement for topic_str
061ebbda56 Fixing some implicit coversations (-Wshorten-64-to-32)
e46686cceb ua3g: update of unsolicited message
823ffe29c5 NAS 5Gs: Update AMF Set Id
7a48f17df6 packet-bgp.c: Add decoding of enhanced next hop capability
8d7876bace wslua: do not partially disable the Lua API when run as root
10ef8b717c wslua: do not load console.lua when run as root
b54c9b62e8 Qt: move packet list cache from record to model
ace33ff48b CIP Motion: Updates
0173337c91 CMake: Make sure we deploy Qt PDBs on Windows.
ea75ba8146 debian: fix indentation in postinst script.
2b52ca1890 Windows: Upgrade Kerberos to 1.17.
9c49840d1c Release notes: Fix our version.
c3a8bb3758 Release notes: Clear out 3.0 content.
5d80fb8f74 NAS EPS: get rid of a global variable
1ff7f8dd19 GBCS: Show field names for empty fields
bfa0520f15 noe: add new identifiers in evt-local-application message
6f1a60d2c5 ZigBee: Be consistent and use ENC_NA for all 1 byte fields
c8690b5980 Handle sflow vendor elements properly
47b77dfa4f debian: fix wrong version in symbols.
6d04390505 GNW: always fully initialize hashgeonw_t structure
7753ce58ea Windows: uncheck WinPcap API-compatible mode in Npcap installer
78827c8752 Accept protocol aliases in Decode As (-d tcp.port==4433,ssl)
62a8d40b5f tshark: recognize protocol aliases such as "-O ssl"
f2df0fc88d debian: update libwireshark symbols.
53b55bfb5f editcap: warn when --inject-secrets is given a RSA private key
af3c6115f2 CMake: Fix build without LibXml2
bf820d14eb ZigBee: Dissect Metering cluster Request Fast Poll Mode Response
a308b751da NAS-5GS: Uptade SM messages to v15.2.1
83385fbe1d ZigBee: Dissect Metering cluster Schedule Snapshot Response
ac77bcc61e rpm: unconditionally add doc files.
8176b492d8 ebhscr: add ebhscr dissector
d36f4fd676 NSIS: Remove a duplicate definition.
